// dwadvapi.h

[entry("GetUserNameA"), helpstring("Retrieves the name of the current user."), helpcontext(2414)] long stdcall GetUserName([in, out] LPSTR lpBuffer, [in, out] long *nSize);
[entry("IsTextUnicode"), helpstring("Attempts to determine if a buffer contains a Unicode string or an ANSI string."), helpcontext(3455)] long stdcall IsTextUnicode([in, out] void *lpBuffer, [in] long cb, [in, out] long *lpi);
[entry("RegCloseKey"), helpstring("Closes a key in the system registry."), helpcontext(3288)] long stdcall RegCloseKey([in] long hKey);
[entry("RegConnectRegistryA"), helpstring("Allows you to access parts of the registry on a remote system."), helpcontext(3289)] long stdcall RegConnectRegistry([in, out] LPSTR lpMachineName, [in] long hKey, [in, out] long *phkResult);
[entry("RegCreateKeyA"), helpstring("Creates a new key under the specified key."), helpcontext(3290)] long stdcall RegCreateKey([in] long hKey, [in, out] LPSTR lpSubKey, [in, out] long *phkResult);
[entry("RegCreateKeyExA"), helpstring("A more sophisticated way to create a new key under a specified key."), helpcontext(3291)] long stdcall RegCreateKeyEx([in] long hKey, [in, out] LPSTR lpSubKey, [in] long Reserved, [in, out] LPSTR lpClass, [in] long dwOptions, [in] long samDesired, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes, [in, out] long *phkResult, [in, out] long *lpdwDisposition);
[entry("RegDeleteKeyA"), helpstring("Deletes the specified subkey under an existing key."), helpcontext(3292)] long stdcall RegDeleteKey([in] long hKey, [in, out] LPSTR lpSubKey);
[entry("RegDeleteValueA"), helpstring("Deletes a value under a specified key."), helpcontext(3293)] long stdcall RegDeleteValue([in] long hKey, [in, out] LPSTR lpValueName);
[entry("RegEnumKeyA"), helpstring("Enumerates subkeys for a given key. Enumerates subkeys for a given key. Win32 functions should use RegEnumKeyEx."), helpcontext(3294)] long stdcall RegEnumKey([in] long hKey, [in] long dwIndex, [in, out] LPSTR lpName, [in] long cbName);
[entry("RegEnumKeyExA"), helpstring("Enumerates subkeys for a given key."), helpcontext(3295)] long stdcall RegEnumKeyEx([in] long hKey, [in] long dwIndex, [in, out] LPSTR lpName, [in, out] long *lpcbName, [in] long lpReserved, [in, out] LPSTR lpClass, [in, out] long *lpcbClass, [in, out] FILETIME *lpftLastWriteTime);
[entry("RegEnumValueA"), helpstring("Enumerates the values for the specified key."), helpcontext(3296)] long stdcall RegEnumValue([in] long hKey, [in] long dwIndex, [in, out] LPSTR lpValueName, [in, out] long *lpcbValueName, [in, out] long *lpReserved, [in, out] long *lpType, [in, out] char *lpData, [in, out] long *lpcbData);
[entry("RegFlushKey"), helpstring("Flushes changes to a key and its subkeys to disk."), helpcontext(3297)] long stdcall RegFlushKey([in] long hKey);
[entry("RegGetKeySecurity"), helpstring("Retrieves security information about a registry key."), helpcontext(3298)] long stdcall RegGetKeySecurity([in] long hKey, [in] long SecurityInformation, [in, out] SECURITY_DESCRIPTOR *pSecurityDescriptor, [in, out] long *lpcbSecurityDescriptor);
[entry("RegLoadKeyA"), helpstring("Loads registration information from a file that previously was created using the RegSaveKey function."), helpcontext(3299)] long stdcall RegLoadKey([in] long hKey, [in, out] LPSTR lpSubKey, [in, out] LPSTR lpFile);
[entry("RegNotifyChangeKeyValue"), helpstring("Provides a mechanism to be notified when a registry key or any of its subkeys has been changed."), helpcontext(3300)] long stdcall RegNotifyChangeKeyValue([in] long hKey, [in] long bWatchSubtree, [in] long dwNotifyFilter, [in] long hEvent, [in] long fAsynchronus);
[entry("RegOpenKeyA"), helpstring("Opens an existing key"), helpcontext(3301)] long stdcall RegOpenKey([in] long hKey, [in, out] LPSTR lpSubKey, [in, out] long *phkResult);
[entry("RegOpenKeyExA"), helpstring("Opens an existing key. Opens an existing key. This function is recommended for use under Win32."), helpcontext(3302)] long stdcall RegOpenKeyEx([in] long hKey, [in, out] LPSTR lpSubKey, [in] long ulOptions, [in] long samDesired, [in, out] long *phkResult);
[entry("RegQueryInfoKeyA"), helpstring("Obtain information about a key."), helpcontext(3303)] long stdcall RegQueryInfoKey([in] long hKey, [in, out] LPSTR lpClass, [in, out] long *lpcbClass, [in, out] long *lpReserved, [in, out] long *lpcSubKeys, [in, out] long *lpcbMaxSubKeyLen, [in, out] long *lpcbMaxClassLen, [in, out] long *lpcValues, [in, out] long *lpcbMaxValueNameLen, [in, out] long *lpcbMaxValueLen, [in, out] long *lpcbSecurityDescriptor, [in, out] FILETIME *lpftLastWriteTime);
[entry("RegQueryValueA"), helpstring("Retrieves the default (unnamed) value for the specified key or subkey."), helpcontext(3304)] long stdcall RegQueryValue([in] long hKey, [in, out] LPSTR lpSubKey, [in, out] LPSTR lpValue, [in, out] long *lpcbValue);
[entry("RegQueryValueExA"), helpstring("Retrieves a value for a key."), helpcontext(3305)] long stdcall RegQueryValueEx([in] long hKey, [in, out] LPSTR lpValueName, [in] long lpReserved, [in, out] long *lpType, [in, out] void *lpData, [in, out] long *lpcbData);
[entry("RegReplaceKeyA"), helpstring("Replaces registry information with information stored in a disk file, and creates a backup containing the current registry information."), helpcontext(3306)] long stdcall RegReplaceKey([in] long hKey, [in, out] LPSTR lpSubKey, [in, out] LPSTR lpNewFile, [in, out] LPSTR lpOldFile);
[entry("RegRestoreKeyA"), helpstring("Restores registration information from a disk file."), helpcontext(3307)] long stdcall RegRestoreKey([in] long hKey, [in, out] LPSTR lpFile, [in] long dwFlags);
[entry("RegSaveKeyA"), helpstring("Saves a key and all its subkeys into a disk file."), helpcontext(3308)] long stdcall RegSaveKey([in] long hKey, [in, out] LPSTR lpFile, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes);
[entry("RegSetKeySecurity"), helpstring("Sets the security for a specified key."), helpcontext(3309)] long stdcall RegSetKeySecurity([in] long hKey, [in] long SecurityInformation, [in, out] SECURITY_DESCRIPTOR *pSecurityDescriptor);
[entry("RegSetValueA"), helpstring("Sets the default value for the specified key or subkey."), helpcontext(3310)] long stdcall RegSetValue([in] long hKey, [in, out] LPSTR lpSubKey, [in] long dwType, [in, out] LPSTR lpData, [in] long cbData);
[entry("RegSetValueExA"), helpstring("Sets the value for the specified key."), helpcontext(3311)] long stdcall RegSetValueEx([in] long hKey, [in, out] LPSTR lpValueName, [in] long Reserved, [in] long dwType, [in, out] void *lpData, [in] long cbData);
[entry("RegUnLoadKeyA"), helpstring("Unloads the specified key and all of its subkeys."), helpcontext(3312)] long stdcall RegUnLoadKey([in] long hKey, [in, out] LPSTR lpSubKey);
