// dwapienm.h

typedef [helpstring("File Seek Constants")] enum  {
	FILE_BEGIN = 0,
	FILE_CURRENT = 1,
	FILE_END = 2
} SeekConstants;

typedef [helpstring("File open constants")] enum {
	CREATE_NEW = 1,
	CREATE_ALWAYS = 2,
	OPEN_EXISTING = 3,
	OPEN_ALWAYS = 4,
	TRUNCATE_EXISTING = 5
} FileOpenConstants;


typedef [helpstring("GetDeviceCaps constants")] enum {
	[helpstring("Device driver version")] DRIVERVERSION = 0,
	[helpstring("Device classification")] TECHNOLOGY = 2,
	[helpstring("Horizontal size in millimeters")] HORZSIZE = 4,
	[helpstring("Vertical size in millimeters")] VERTSIZE = 6,
	[helpstring("Horizontal width in pixels")] HORZRES = 8,
	[helpstring("Vertical width in pixels")] VERTRES = 10,
	[helpstring("Number of bits per pixel")] BITSPIXEL = 12,
	[helpstring("Number of planes")] PLANES = 14,
	[helpstring("Number of brushes the device has")] NUMBRUSHES = 16,
	[helpstring("Number of pens the device has")] NUMPENS = 18,
	[helpstring("Number of markers the device has")] NUMMARKERS = 20,
	[helpstring("Number of fonts the device has")] NUMFONTS = 22,
	[helpstring("Number of colors the device supports")] NUMCOLORS = 24,
	[helpstring("Size required for device descriptor")] PDEVICESIZE = 26,
	[helpstring("Curve capabilities")] CURVECAPS = 28,
	[helpstring("Line capabilities")] LINECAPS = 30,
	[helpstring("Polygonal capabilities")] POLYGONALCAPS = 32,
	[helpstring("Text capabilities")] TEXTCAPS = 34,
	[helpstring("Clipping capabilities")] CLIPCAPS = 36,
	[helpstring("Bitblt capabilities")] RASTERCAPS = 38,
	[helpstring("Length of the X leg")] ASPECTX = 40,
	[helpstring("Length of the Y leg")] ASPECTY = 42,
	[helpstring("Length of the hypotenuse")] ASPECTXY = 44,
	[helpstring("Logical pixels/inch in X")] LOGPIXELSX = 88,
	[helpstring("Logical pixels/inch in Y")] LOGPIXELSY = 90,
	[helpstring("Number of entries in physical palette")] SIZEPALETTE = 104,
	[helpstring("Number of reserved entries in palette")] NUMRESERVED = 106,
	[helpstring("Actual color resolution")] COLORRES = 108,
	[helpstring("Physical Width in device units")] PHYSICALWIDTH = 110,
	[helpstring("Physical Height in device units")] PHYSICALHEIGHT = 111,
	[helpstring("Physical Printable Area x margin")] PHYSICALOFFSETX = 112,
	[helpstring("Physical Printable Area y margin")] PHYSICALOFFSETY = 113,
	[helpstring("Scaling factor x")] SCALINGFACTORX = 114,
	[helpstring("Scaling factor y")] SCALINGFACTORY = 115,
} DeviceCapsConstants;

typedef [helpstring("Common Raster Operation Constants")] enum {
	[helpstring("dest = source")] SRCCOPY = 0xCC0020,
	[helpstring("dest = source OR dest")] SRCPAINT = 0xEE0086,
	[helpstring("dest = source AND dest")] SRCAND = 0x8800C6,
	[helpstring("dest = source XOR dest")] SRCINVERT = 0x660046,
	[helpstring("dest = source AND (NOT dest )")] SRCERASE = 0x440328,
	[helpstring("dest = (NOT source)")] NOTSRCCOPY = 0x330008,
	[helpstring("dest = (NOT src) AND (NOT dest)")] NOTSRCERASE = 0x1100A6,
	[helpstring("dest = (source AND pattern)")] MERGECOPY = 0xC000CA,
	[helpstring("dest = (NOT source) OR dest")] MERGEPAINT = 0xBB0226,
	[helpstring("dest = pattern")] PATCOPY = 0xF00021,
	[helpstring("dest = DPSnoo")] PATPAINT = 0xFB0A09,
	[helpstring("dest = pattern XOR dest")] PATINVERT = 0x5A0049,
	[helpstring("dest = (NOT dest)")] DSTINVERT = 0x550009,
	[helpstring("dest = BLACK")] BLACKNESS = 0x42,
	[helpstring("dest = WHITE")] WHITENESS = 0xFF0062
} RasterOps;

typedef [helpstring("Stock objects")] enum {
	[helpstring("Stock white brush")] WHITE_BRUSH = 0,
	[helpstring("Stock light gray brush")] LTGRAY_BRUSH = 1,
	[helpstring("Stock gray brush")] GRAY_BRUSH = 2,
	[helpstring("Stock dark gray brush")] DKGRAY_BRUSH = 3,
	[helpstring("Stock black brush")] BLACK_BRUSH = 4,
	[helpstring("Stock empty brush")] NULL_BRUSH = 5,
	[helpstring("Stock white pen")] WHITE_PEN = 6,
	[helpstring("Stock black pen")] BLACK_PEN = 7,
	[helpstring("Stock empty pen")] NULL_PEN = 8,
	[helpstring("Stock OEM fixed font")] OEM_FIXED_FONT = 10,
	[helpstring("Stock ANSI fixed font")] ANSI_FIXED_FONT = 11,
	[helpstring("Stock ANSI variable pitch font")] ANSI_VAR_FONT = 12,
	[helpstring("Stock system font")] SYSTEM_FONT = 13,
	[helpstring("Stock device font")] DEVICE_DEFAULT_FONT = 14,
	[helpstring("Stock default palette")] DEFAULT_PALETTE = 15,
	[helpstring("Stock system fixed pitch font")] SYSTEM_FIXED_FONT = 16
} StockObjects;

typedef [helpstring("Windows messages")] enum {
	WM_NULL = 0x0,
	WM_CREATE = 0x1,
	WM_DESTROY = 0x2,
	WM_MOVE = 0x3,
	WM_SIZE = 0x5,
	WM_ACTIVATE = 0x6,
	WM_SETFOCUS = 0x7,
	WM_KILLFOCUS = 0x8,
	WM_ENABLE = 0xA,
	WM_SETREDRAW = 0xB,
	WM_SETTEXT = 0xC,
	WM_GETTEXT = 0xD,
	WM_GETTEXTLENGTH = 0xE,
	WM_PAINT = 0xF,
	WM_CLOSE = 0x10,
	WM_QUERYENDSESSION = 0x11,
	WM_QUIT = 0x12,
	WM_QUERYOPEN = 0x13,
	WM_ERASEBKGND = 0x14,
	WM_SYSCOLORCHANGE = 0x15,
	WM_ENDSESSION = 0x16,
	WM_SHOWWINDOW = 0x18,
	WM_WININICHANGE = 0x1A,
	WM_DEVMODECHANGE = 0x1B,
	WM_ACTIVATEAPP = 0x1C,
	WM_FONTCHANGE = 0x1D,
	WM_TIMECHANGE = 0x1E,
	WM_CANCELMODE = 0x1F,
	WM_SETCURSOR = 0x20,
	WM_MOUSEACTIVATE = 0x21,
	WM_CHILDACTIVATE = 0x22,
	WM_QUEUESYNC = 0x23,
	WM_GETMINMAXINFO = 0x24,
	WM_PAINTICON = 0x26,
	WM_ICONERASEBKGND = 0x27,
	WM_NEXTDLGCTL = 0x28,
	WM_SPOOLERSTATUS = 0x2A,
	WM_DRAWITEM = 0x2B,
	WM_MEASUREITEM = 0x2C,
	WM_DELETEITEM = 0x2D,
	WM_VKEYTOITEM = 0x2E,
	WM_CHARTOITEM = 0x2F,
	WM_SETFONT = 0x30,
	WM_GETFONT = 0x31,
	WM_SETHOTKEY = 0x32,
	WM_GETHOTKEY = 0x33,
	WM_QUERYDRAGICON = 0x37,
	WM_COMPAREITEM = 0x39,
	WM_COMPACTING = 0x41,
	WM_WINDOWPOSCHANGING = 0x46,
	WM_WINDOWPOSCHANGED = 0x47,
	WM_POWER = 0x48,
	WM_NCCREATE = 0x81,
	WM_NCDESTROY = 0x82,
	WM_NCCALCSIZE = 0x83,
	WM_NCHITTEST = 0x84,
	WM_NCPAINT = 0x85,
	WM_NCACTIVATE = 0x86,
	WM_GETDLGCODE = 0x87,
	WM_NCMOUSEMOVE = 0xA0,
	WM_NCLBUTTONDOWN = 0xA1,
	WM_NCLBUTTONUP = 0xA2,
	WM_NCLBUTTONDBLCLK = 0xA3,
	WM_NCRBUTTONDOWN = 0xA4,
	WM_NCRBUTTONUP = 0xA5,
	WM_NCRBUTTONDBLCLK = 0xA6,
	WM_NCMBUTTONDOWN = 0xA7,
	WM_NCMBUTTONUP = 0xA8,
	WM_NCMBUTTONDBLCLK = 0xA9,
	WM_KEYDOWN = 0x100,
	WM_KEYUP = 0x101,
	WM_CHAR = 0x102,
	WM_DEADCHAR = 0x103,
	WM_SYSKEYDOWN = 0x104,
	WM_SYSKEYUP = 0x105,
	WM_SYSCHAR = 0x106,
	WM_SYSDEADCHAR = 0x107,
	WM_INITDIALOG = 0x110,
	WM_COMMAND = 0x111,
	WM_SYSCOMMAND = 0x112,
	WM_TIMER = 0x113,
	WM_HSCROLL = 0x114,
	WM_VSCROLL = 0x115,
	WM_INITMENU = 0x116,
	WM_INITMENUPOPUP = 0x117,
	WM_MENUSELECT = 0x11F,
	WM_MENUCHAR = 0x120,
	WM_ENTERIDLE = 0x121,
	WM_CTLCOLORMSGBOX = 0x132,
	WM_CTLCOLOREDIT = 0x133,
	WM_CTLCOLORLISTBOX = 0x134,
	WM_CTLCOLORBTN = 0x135,
	WM_CTLCOLORDLG = 0x136,
	WM_CTLCOLORSCROLLBAR = 0x137,
	WM_CTLCOLORSTATIC = 0x138,
	WM_MOUSEMOVE = 0x200,
	WM_LBUTTONDOWN = 0x201,
	WM_LBUTTONUP = 0x202,
	WM_LBUTTONDBLCLK = 0x203,
	WM_RBUTTONDOWN = 0x204,
	WM_RBUTTONUP = 0x205,
	WM_RBUTTONDBLCLK = 0x206,
	WM_MBUTTONDOWN = 0x207,
	WM_MBUTTONUP = 0x208,
	WM_MBUTTONDBLCLK = 0x209,
	WM_PARENTNOTIFY = 0x210,
	WM_ENTERMENULOOP = 0x211,
	WM_EXITMENULOOP = 0x212,
	WM_MDICREATE = 0x220,
	WM_MDIDESTROY = 0x221,
	WM_MDIACTIVATE = 0x222,
	WM_MDIRESTORE = 0x223,
	WM_MDINEXT = 0x224,
	WM_MDIMAXIMIZE = 0x225,
	WM_MDITILE = 0x226,
	WM_MDICASCADE = 0x227,
	WM_MDIICONARRANGE = 0x228,
	WM_MDIGETACTIVE = 0x229,
	WM_MDISETMENU = 0x230,
	WM_DROPFILES = 0x233,
	WM_MDIREFRESHMENU = 0x234,
	WM_CUT = 0x300,
	WM_COPY = 0x301,
	WM_PASTE = 0x302,
	WM_CLEAR = 0x303,
	WM_UNDO = 0x304,
	WM_RENDERFORMAT = 0x305,
	WM_RENDERALLFORMATS = 0x306,
	WM_DESTROYCLIPBOARD = 0x307,
	WM_DRAWCLIPBOARD = 0x308,
	WM_PAINTCLIPBOARD = 0x309,
	WM_VSCROLLCLIPBOARD = 0x30A,
	WM_SIZECLIPBOARD = 0x30B,
	WM_ASKCBFORMATNAME = 0x30C,
	WM_CHANGECBCHAIN = 0x30D,
	WM_HSCROLLCLIPBOARD = 0x30E,
	WM_QUERYNEWPALETTE = 0x30F,
	WM_PALETTEISCHANGING = 0x310,
	WM_PALETTECHANGED = 0x311,
	WM_HOTKEY = 0x312,
	WM_PENWINFIRST = 0x380,
	WM_PENWINLAST = 0x38F,
	WM_USER = 0x400,
	WM_APP = 0x8000,
	WM_CAPTURECHANGED = 0x215,
	WM_CONTEXTMENU = 0x7B,
	WM_DEVICECHANGE = 0x219,
	WM_DISPLAYCHANGE = 0x7E,
	WM_GETICON = 0x7F,
	WM_HANDHELDFIRST = 0x358,
	WM_HANDHELDLAST = 0x35F,
	WM_HELP = 0x53,
	WM_INPUTLANGCHANGE = 0x51,
	WM_INPUTLANGCHANGEREQUEST = 0x50,
	WM_MOVING = 0x216,
	WM_NEXTMENU = 0x213,
	WM_NOTIFY = 0x4E,
	WM_NOTIFYFORMAT = 0x55,
	WM_POWERBROADCAST = 0x218,
	WM_PRINT = 0x317,
	WM_PRINTCLIENT = 0x318,
	WM_SETICON = 0x80,
	WM_SETTINGCHANGE = 0x1A,
	WM_SIZING = 0x214,
	WM_STYLECHANGED = 0x7D,
	WM_STYLECHANGING = 0x7C,
	WM_TCARD = 0x52,
	WM_USERCHANGED = 0x54
} WindowsMessages;


typedef [helpstring("System metric constants")] enum {
	 SM_CXSCREEN = 0,
	 SM_CYSCREEN = 1,
	 SM_CXVSCROLL = 2,
	 SM_CYHSCROLL = 3,
	 SM_CYCAPTION = 4,
	 SM_CXBORDER = 5,
	 SM_CYBORDER = 6,
	 SM_CXDLGFRAME = 7,
	 SM_CYDLGFRAME = 8,
	 SM_CYVTHUMB = 9,
	 SM_CXHTHUMB = 10,
	 SM_CXICON = 11,
	 SM_CYICON = 12,
	 SM_CXCURSOR = 13,
	 SM_CYCURSOR = 14,
	 SM_CYMENU = 15,
	 SM_CXFULLSCREEN = 16,
	 SM_CYFULLSCREEN = 17,
	 SM_CYKANJIWINDOW = 18,
	 SM_MOUSEPRESENT = 19,
	 SM_CYVSCROLL = 20,
	 SM_CXHSCROLL = 21,
	 SM_DEBUG = 22,
	 SM_SWAPBUTTON = 23,
	 SM_RESERVED1 = 24,
	 SM_RESERVED2 = 25,
	 SM_RESERVED3 = 26,
	 SM_RESERVED4 = 27,
	 SM_CXMIN = 28,
	 SM_CYMIN = 29,
	 SM_CXSIZE = 30,
	 SM_CYSIZE = 31,
	 SM_CXFRAME = 32,
	 SM_CYFRAME = 33,
	 SM_CXMINTRACK = 34,
	 SM_CYMINTRACK = 35,
	 SM_CXDOUBLECLK = 36,
	 SM_CYDOUBLECLK = 37,
	 SM_CXICONSPACING = 38,
	 SM_CYICONSPACING = 39,
	 SM_MENUDROPALIGNMENT = 40,
	 SM_PENWINDOWS = 41,
	 SM_DBCSENABLED = 42,
	 SM_CMOUSEBUTTONS = 43,
	 SM_CMETRICS = 44,
	 SM_ARRANGE = 56,
	 SM_CLEANBOOT = 67,
	 SM_CXDRAG = 68,
	 SM_CXEDGE = 45,
	 SM_CXFIXEDFRAME = 7,
	 SM_CXMAXIMIZED = 61,
	 SM_CXMAXTRACK = 59,
	 SM_CXMENUCHECK = 71,
	 SM_CXMENUSIZE = 54,
	 SM_CXMINIMIZED = 57,
	 SM_CXMINSPACING = 47,
	 SM_CXSIZEFRAME = 32,
	 SM_CXSMICON = 49,
	 SM_CXSMSIZE = 52,
	 SM_CYDRAG = 69,
	 SM_CYEDGE = 46,
	 SM_CYFIXEDFRAME = 8,
	 SM_CYMAXIMIZED = 62,
	 SM_CYMAXTRACK = 60,
	 SM_CYMENUCHECK = 72,
	 SM_CYMENUSIZE = 55,
	 SM_CYMINIMIZED = 58,
	 SM_CYMINSPACING = 48,
	 SM_CYSIZEFRAME = 33,
	 SM_CYSMCAPTION = 51,
	 SM_CYSMICON = 50,
	 SM_CYSMSIZE = 53,
	 SM_MIDEASTENABLED = 74,
	 SM_NETWORK = 63,
	 SM_SECURE = 44,
	 SM_SLOWMACHINE = 73
} SystemMetricConstants;


typedef [helpstring("DrawText flags")] enum {
	DT_TOP = 0x0,
	DT_LEFT = 0x0,
	DT_CENTER = 0x1,
	DT_RIGHT = 0x2,
	DT_VCENTER = 0x4,
	DT_BOTTOM = 0x8,
	DT_WORDBREAK = 0x10,
	DT_SINGLELINE = 0x20,
	DT_EXPANDTABS = 0x40,
	DT_TABSTOP = 0x80,
	DT_NOCLIP = 0x100,
	DT_EXTERNALLEADING = 0x200,
	DT_CALCRECT = 0x400,
	DT_NOPREFIX = 0x800,
	DT_INTERNAL = 0x1000
} DrawTextConstants;


typedef [helpstring("System color constants")] enum {
	COLOR_SCROLLBAR = 0,
	COLOR_BACKGROUND = 1,
	COLOR_ACTIVECAPTION = 2,
	COLOR_INACTIVECAPTION = 3,
	COLOR_MENU = 4,
	COLOR_WINDOW = 5,
	COLOR_WINDOWFRAME = 6,
	COLOR_MENUTEXT = 7,
	COLOR_WINDOWTEXT = 8,
	COLOR_CAPTIONTEXT = 9,
	COLOR_ACTIVEBORDER = 10,
	COLOR_INACTIVEBORDER = 11,
	COLOR_APPWORKSPACE = 12,
	COLOR_HIGHLIGHT = 13,
	COLOR_HIGHLIGHTTEXT = 14,
	COLOR_BTNFACE = 15,
	COLOR_BTNSHADOW = 16,
	COLOR_GRAYTEXT = 17,
	COLOR_BTNTEXT = 18,
	COLOR_INACTIVECAPTIONTEXT = 19,
	COLOR_BTNHIGHLIGHT = 20,
	COLOR_3DDKSHADOW = 21,
	COLOR_3DFACE = 15,
	COLOR_3DHIGHLIGHT = 20,
	COLOR_3DLIGHT = 22,
	COLOR_3DSHADOW = 16,
	COLOR_DESKTOP = 1,
	COLOR_INFOBK = 24,
	COLOR_INFOTEXT = 23
} SysColorConstants;

typedef [helpstring("GetWindow constants")] enum {
	GW_HWNDFIRST = 0,
	GW_HWNDLAST = 1,
	GW_HWNDNEXT = 2,
	GW_HWNDPREV = 3,
	GW_OWNER = 4,
	GW_CHILD = 5
} GetWindowConstants;

typedef [helpstring("Edit message constants")] enum {
	EM_GETSEL = 0xB0,
	EM_SETSEL = 0xB1,
	EM_GETRECT = 0xB2,
	EM_SETRECT = 0xB3,
	EM_SETRECTNP = 0xB4,
	EM_SCROLL = 0xB5,
	EM_LINESCROLL = 0xB6,
	EM_SCROLLCARET = 0xB7,
	EM_GETMODIFY = 0xB8,
	EM_SETMODIFY = 0xB9,
	EM_GETLINECOUNT = 0xBA,
	EM_LINEINDEX = 0xBB,
	EM_SETHANDLE = 0xBC,
	EM_GETHANDLE = 0xBD,
	EM_GETTHUMB = 0xBE,
	EM_LINELENGTH = 0xC1,
	EM_REPLACESEL = 0xC2,
	EM_GETLINE = 0xC4,
	EM_LIMITTEXT = 0xC5,
	EM_CANUNDO = 0xC6,
	EM_UNDO = 0xC7,
	EM_FMTLINES = 0xC8,
	EM_LINEFROMCHAR = 0xC9,
	EM_SETTABSTOPS = 0xCB,
	EM_SETPASSWORDCHAR = 0xCC,
	EM_EMPTYUNDOBUFFER = 0xCD,
	EM_GETFIRSTVISIBLELINE = 0xCE,
	EM_SETREADONLY = 0xCF,
	EM_SETWORDBREAKPROC = 0xD0,
	EM_GETWORDBREAKPROC = 0xD1,
	EM_GETPASSWORDCHAR = 0xD2,
	EM_CHARFROMPOS = 0xD7,
	EM_GETLIMITTEXT = 0xD5,
	EM_GETMARGINS = 0xD4,
	EM_POSFROMCHAR = 0xD6,
	EM_SETLIMITTEXT = 0xC5,
	EM_SETMARGINS = 0xD3
} EditMessageConstants;


typedef [helpstring("Listbox message constants")] enum {
	LB_ADDSTRING = 0x180,
	LB_INSERTSTRING = 0x181,
	LB_DELETESTRING = 0x182,
	LB_SELITEMRANGEEX = 0x183,
	LB_RESETCONTENT = 0x184,
	LB_SETSEL = 0x185,
	LB_SETCURSEL = 0x186,
	LB_GETSEL = 0x187,
	LB_GETCURSEL = 0x188,
	LB_GETTEXT = 0x189,
	LB_GETTEXTLEN = 0x18A,
	LB_GETCOUNT = 0x18B,
	LB_SELECTSTRING = 0x18C,
	LB_DIR = 0x18D,
	LB_GETTOPINDEX = 0x18E,
	LB_FINDSTRING = 0x18F,
	LB_GETSELCOUNT = 0x190,
	LB_GETSELITEMS = 0x191,
	LB_SETTABSTOPS = 0x192,
	LB_GETHORIZONTALEXTENT = 0x193,
	LB_SETHORIZONTALEXTENT = 0x194,
	LB_SETCOLUMNWIDTH = 0x195,
	LB_ADDFILE = 0x196,
	LB_SETTOPINDEX = 0x197,
	LB_GETITEMRECT = 0x198,
	LB_GETITEMDATA = 0x199,
	LB_SETITEMDATA = 0x19A,
	LB_SELITEMRANGE = 0x19B,
	LB_SETANCHORINDEX = 0x19C,
	LB_GETANCHORINDEX = 0x19D,
	LB_SETCARETINDEX = 0x19E,
	LB_GETCARETINDEX = 0x19F,
	LB_SETITEMHEIGHT = 0x1A0,
	LB_GETITEMHEIGHT = 0x1A1,
	LB_FINDSTRINGEXACT = 0x1A2,
	LB_SETLOCALE = 0x1A5,
	LB_GETLOCALE = 0x1A6,
	LB_SETCOUNT = 0x1A7,
	LB_INITSTORAGE = 0x1A8,
	LB_ITEMFROMPOINT = 0x1A9
} ListboxMessageConstants;

typedef [helpstring("Combobox message constants")] enum {
	CB_GETEDITSEL = 0x140,
	CB_LIMITTEXT = 0x141,
	CB_SETEDITSEL = 0x142,
	CB_ADDSTRING = 0x143,
	CB_DELETESTRING = 0x144,
	CB_DIR = 0x145,
	CB_GETCOUNT = 0x146,
	CB_GETCURSEL = 0x147,
	CB_GETLBTEXT = 0x148,
	CB_GETLBTEXTLEN = 0x149,
	CB_INSERTSTRING = 0x14A,
	CB_RESETCONTENT = 0x14B,
	CB_FINDSTRING = 0x14C,
	CB_SELECTSTRING = 0x14D,
	CB_SETCURSEL = 0x14E,
	CB_SHOWDROPDOWN = 0x14F,
	CB_GETITEMDATA = 0x150,
	CB_SETITEMDATA = 0x151,
	CB_GETDROPPEDCONTROLRECT = 0x152,
	CB_SETITEMHEIGHT = 0x153,
	CB_GETITEMHEIGHT = 0x154,
	CB_SETEXTENDEDUI = 0x155,
	CB_GETEXTENDEDUI = 0x156,
	CB_GETDROPPEDSTATE = 0x157,
	CB_FINDSTRINGEXACT = 0x158,
	CB_SETLOCALE = 0x159,
	CB_GETLOCALE = 0x15A,
	CB_GETDROPPEDWIDTH = 0x15F,
	CB_GETHORIZONTALEXTENT = 0x15D,
	CB_GETTOPINDEX = 0x15B,
	CB_INITSTORAGE = 0x161,
	CB_SETDROPPEDWIDTH = 0x160,
	CB_SETHORIZONTALEXTENT = 0x15E,
	CB_SETTOPINDEX = 0x15C
} ComboboxMessageConstants;

