// Gdi32 declarations

[entry("AbortDoc"), helpstring("Aborts printing of a document."), helpcontext(2670)] long stdcall AbortDoc([in] long hdc);
[entry("AbortPath"), helpstring("Discards any path selected into the specified device context."), helpcontext(2671)] long stdcall AbortPath([in] long hdc);
[entry("AddFontResourceA"), helpstring("Adds a font resource to the Windows system."), helpcontext(2481)] long stdcall AddFontResource([in, out] LPSTR lpFileName);
[entry("AngleArc"), helpstring("Draws a line with an attached arc. Draws a line with an attached arc. See Figure 8.12."), helpcontext(2657)] long stdcall AngleArc([in] long hdc, [in] long x, [in] long y, [in] long dwRadius, [in] float eStartAngle, [in] float eSweepAngle);
[entry("Arc"), helpstring("Draws an arc as shown in Figure 8.13."), helpcontext(2483)] long stdcall Arc([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2, [in] long X3, [in] long Y3, [in] long X4, [in] long Y4);
[entry("ArcTo"), helpstring("Draws an arc as shown in Figure 8.13."), helpcontext(2672)] long stdcall ArcTo([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2, [in] long X3, [in] long Y3, [in] long X4, [in] long Y4);
[entry("BeginPath"), helpstring("Begins a path bracket."), helpcontext(2673)] long stdcall BeginPath([in] long hdc);
[entry("BitBlt"), helpstring("Copies a bitmap from one device context to another."), helpcontext(2484)] long stdcall BitBlt([in] long hDestDC, [in] long x, [in] long y, [in] long nWidth, [in] long nHeight, [in] long hSrcDC, [in] long xSrc, [in] long ySrc, [in] long dwRop);
[entry("CancelDC"), helpstring("Allows you to cancel long drawing operations in another thread."), helpcontext(2485)] long stdcall CancelDC([in] long hdc);
[entry("Chord"), helpstring("Draws a chord as shown in Figure 8.13."), helpcontext(2486)] long stdcall Chord([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2, [in] long X3, [in] long Y3, [in] long X4, [in] long Y4);
[entry("CloseEnhMetaFile"), helpstring("Closes the specified enhanced metafile device context and returns a handle to the newly created metafile."), helpcontext(2639)] long stdcall CloseEnhMetaFile([in] long hdc);
[entry("CloseFigure"), helpstring("Closes the current open figure when drawing into a path."), helpcontext(2674)] long stdcall CloseFigure([in] long hdc);
[entry("CloseMetaFile"), helpstring("Closes the specified metafile device context and returns a handle to the newly created metafile."), helpcontext(2487)] long stdcall CloseMetaFile([in] long hMF);
[entry("CombineRgn"), helpstring("Combines two regions to form a new region."), helpcontext(2488)] long stdcall CombineRgn([in] long hDestRgn, [in] long hSrcRgn1, [in] long hSrcRgn2, [in] long nCombineMode);
[entry("CombineTransform"), helpstring("Derives a world transformation that is equivalent to applying two transforms in sequence."), helpcontext(2662)] long stdcall CombineTransform([in, out] xform *lpxformResult, [in, out] xform *lpxform1, [in, out] xform *lpxform2);
[entry("CopyEnhMetaFileA"), helpstring("Makes a copy of the specified enhanced metafile."), helpcontext(2640)] long stdcall CopyEnhMetaFile([in] long hemfSrc, [in, out] LPSTR lpszFile);
[entry("CopyMetaFileA"), helpstring("Makes a copy of the specified metafile."), helpcontext(2489)] long stdcall CopyMetaFile([in] long hMF, [in, out] LPSTR lpFileName);
[entry("CreateBitmap"), helpstring("Creates a device-dependent bitmap in the format specified."), helpcontext(2490)] long stdcall CreateBitmap([in] long nWidth, [in] long nHeight, [in] long nPlanes, [in] long nBitCount, [in, out] void *lpBits);
[entry("CreateBitmapIndirect"), helpstring("Creates a device-dependent bitmap."), helpcontext(2491)] long stdcall CreateBitmapIndirect([in, out] BITMAP *lpBitmap);
[entry("CreateBrushIndirect"), helpstring("Creates a brush based on a LOGBRUSH data structure."), helpcontext(2492)] long stdcall CreateBrushIndirect([in, out] LOGBRUSH *lpLogBrush);
[entry("CreateCompatibleBitmap"), helpstring("Creates a device-dependent bitmap that is compatible with the specified device context."), helpcontext(2493)] long stdcall CreateCompatibleBitmap([in] long hdc, [in] long nWidth, [in] long nHeight);
[entry("CreateCompatibleDC"), helpstring("Creates a memory device context that is compatible with the specified device context."), helpcontext(2495)] long stdcall CreateCompatibleDC([in] long hdc);
[entry("CreateDCA"), helpstring("Creates a device context for the specified device."), helpcontext(2496)] long stdcall CreateDC([in, out] LPSTR lpDriverName, [in, out] LPSTR lpDeviceName, [in, out] LPSTR lpOutput, [in, out] DEVMODE *lpInitData);
[entry("CreateDCA"), helpstring("Creates a device context for the specified device.")] long stdcall CreateDCBynum([in, out] LPSTR lpDriverName, [in, out] LPSTR lpDeviceName, [in, out] LPSTR lpOutput, [in] long lpInitData);
[entry("CreateDIBitmap"), helpstring("Creates a device-dependent bitmap based on a device-independent bitmap."), helpcontext(2498)] long stdcall CreateDIBitmap([in] long hdc, [in, out] BITMAPINFOHEADER *lpInfoHeader, [in] long dwUsage, [in, out] void *lpInitBits, [in, out] void *lpInitInfo, [in] long wUsage);
[entry("CreateDIBPatternBrush"), helpstring("Creates a brush using a device-independent bitmap to specify the brush pattern."), helpcontext(2499)] long stdcall CreateDIBPatternBrush([in] long hPackedDIB, [in] long wUsage);
[entry("CreateDIBPatternBrushPt"), helpstring("Creates a brush using a device-independent bitmap to specify the brush pattern."), helpcontext(2500)] long stdcall CreateDIBPatternBrushPt([in, out] void *lpPackedDIB, [in] long iUsage);
[entry("CreateDIBSection"), helpstring("Creates a DIBSection."), helpcontext(3498)] long stdcall CreateDIBSection([in] long hDC, [in, out] void *pBitmapInfo, [in] long un, [in, out] long *lplpVoid, [in] long handle, [in] long dw);
[entry("CreateEllipticRgn"), helpstring("Creates a region in the shape of an ellipse that fits in the rectangle described by the points X1,Y1 and X2,Y2."), helpcontext(2502)] long stdcall CreateEllipticRgn([in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("CreateEllipticRgnIndirect"), helpstring("Creates a region in the shape of an ellipse that fits in the specified rectangle."), helpcontext(2501)] long stdcall CreateEllipticRgnIndirect([in, out] Rect *lpRect);
[entry("CreateEnhMetaFileA"), helpstring("Description"), helpcontext(2641)] long stdcall CreateEnhMetaFile([in] long hdcRef, [in, out] LPSTR lpFileName, [in, out] RECT *lpRect, [in, out] LPSTR lpDescription);
[entry("CreateFontA"), helpstring("Creates a logical font with the attributes specified."), helpcontext(2504)] long stdcall CreateFont([in] long H, [in] long W, [in] long E, [in] long O, [in] long W2, [in] long I, [in] long u, [in] long S, [in] long C, [in] long OP, [in] long CP, [in] long Q, [in] long PAF, [in, out] LPSTR F);
[entry("CreateFontIndirectA"), helpstring("Creates a logical font with the attributes specified."), helpcontext(2503)] long stdcall CreateFontIndirect([in, out] LOGFONT *lpLogFont);
[entry("CreateHatchBrush"), helpstring("Creates a brush with a hatched pattern as shown in Figure 8.14."), helpcontext(2505)] long stdcall CreateHatchBrush([in] long nIndex, [in] long crColor);
[entry("CreateICA"), helpstring("Creates an information context for the specified device."), helpcontext(2506)] long stdcall CreateIC([in, out] LPSTR lpDriverName, [in, out] LPSTR lpDeviceName, [in, out] LPSTR lpOutput, [in, out] DEVMODE *lpInitData);
[entry("CreateMetaFileA"), helpstring("Creates a metafile device context."), helpcontext(2508)] long stdcall CreateMetaFile([in, out] LPSTR lpString);
[entry("CreatePatternBrush"), helpstring("Creates a brush using a bitmap to specify the brush pattern."), helpcontext(2515)] long stdcall CreatePatternBrush([in] long hBitmap);
[entry("CreatePen"), helpstring("Creates a pen with the specified style, width, and color."), helpcontext(2510)] long stdcall CreatePen([in] long nPenStyle, [in] long nWidth, [in] long crColor);
[entry("CreatePenIndirect"), helpstring("Creates a pen based on the specified LOGPEN structure."), helpcontext(2511)] long stdcall CreatePenIndirect([in, out] LOGPEN *lpLogPen);
[entry("CreatePolygonRgn"), helpstring("Creates a region out of an arbitrary series of points."), helpcontext(2695)] long stdcall CreatePolygonRgn([in, out] POINTAPI *lpPoint, [in] long nCount, [in] long nPolyFillMode);
[entry("CreatePolyPolygonRgn"), helpstring("Creates a region made up of any number of polygons."), helpcontext(2514)] long stdcall CreatePolyPolygonRgn([in, out] POINTAPI *lpPoint, [in, out] long *lpPolyCounts, [in] long nCount, [in] long nPolyFillMode);
[entry("CreateRectRgn"), helpstring("Creates a region in the shape of a rectangle described by the points X1,Y1 and X2,Y2."), helpcontext(2512)] long stdcall CreateRectRgn([in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("CreateRectRgnIndirect"), helpstring("Creates a region in the shape of a rectangle described by lpRect."), helpcontext(2513)] long stdcall CreateRectRgnIndirect([in, out] RECT *lpRect);
[entry("CreateRoundRectRgn"), helpstring("Creates a region in the shape of a rectangle with rounded corners described by the points X1,Y1 and X2,Y2."), helpcontext(2516)] long stdcall CreateRoundRectRgn([in] long X1, [in] long Y1, [in] long X2, [in] long Y2, [in] long X3, [in] long Y3);
[entry("CreateScalableFontResourceA"), helpstring("Creates a resource file for a TrueType font so that it may be added into Windows using the AddFontResource API function."), helpcontext(2517)] long stdcall CreateScalableFontResource([in] long fHidden, [in, out] LPSTR lpszResourceFile, [in, out] LPSTR lpszFontFile, [in, out] LPSTR lpszCurrentPath);
[entry("CreateSolidBrush"), helpstring("Creates a brush with a solid color."), helpcontext(2518)] long stdcall CreateSolidBrush([in] long crColor);
[entry("DeleteDC"), helpstring("Deletes the specified device context or information context and frees all associated windows resources."), helpcontext(2519)] long stdcall DeleteDC([in] long hdc);
[entry("DeleteEnhMetaFile"), helpstring("Deletes the specified enhanced metafile."), helpcontext(2642)] long stdcall DeleteEnhMetaFile([in] long hemf);
[entry("DeleteMetaFile"), helpstring("Deletes the specified metafile."), helpcontext(2521)] long stdcall DeleteMetaFile([in] long hMF);
[entry("DeleteObject"), helpstring("This function is used to delete GDI objects such as pens, brushes, fonts, bitmaps, regions, and palettes."), helpcontext(2520)] long stdcall DeleteObject([in] long hObject);
[entry("DPtoLP"), helpstring("Converts an array of points from device coordinates into logical coordinates in the specified device context."), helpcontext(2696)] long stdcall DPtoLP([in] long hdc, [in, out] POINTAPI *lpPoint, [in] long nCount);
[entry("DrawEscape"), helpstring("The escape function sends data directly to the video device driver."), helpcontext(2527)] long stdcall DrawEscape([in] long hdc, [in] long nEscape, [in] long cbInput, [in, out] LPSTR lpszInData);
[entry("Ellipse"), helpstring("Draws an ellipse that is bounded by the specified rectangle."), helpcontext(2523)] long stdcall Ellipse([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("EndDoc"), helpstring("This function is used to end a successful print job."), helpcontext(2669)] long stdcall EndDocAPI([in] long hdc);
[entry("EndPage"), helpstring("This function is used to complete printing on a page and prepare the device context for printing on the next page."), helpcontext(2668)] long stdcall EndPage([in] long hdc);
[entry("EndPath"), helpstring("Call to stop defining a path."), helpcontext(2675)] long stdcall EndPath([in] long hdc);
[entry("EnumEnhMetaFile"), helpstring("Enumerates the individual metafile records for an enhanced metafile."), helpcontext(2643)] long stdcall EnumEnhMetaFile([in] long hdc, [in] long hemf, [in] long lpEnhMetaFunc, [in] long lpData, [in, out] RECT *lpRect);
[entry("EnumFontFamiliesA"), helpstring("Enumerates the available fonts for a given device."), helpcontext(2720)] long stdcall EnumFontFamilies([in] long hdc, [in, out] LPSTR lpszFamily, [in] long lpEnumFontFamProc, [in] long lParam);
[entry("EnumFontFamiliesExA"), helpstring("Enumerates the available fonts for a given device based on information provided in a LOGFONTLOGFONT structure."), helpcontext(2721)] long stdcall EnumFontFamiliesEx([in] long hdc, [in, out] LOGFONT *lpLogFont, [in] long lpEnumFontProc, [in] long lParam, [in] long dw);
[entry("EnumFontsA"), helpstring("Enumerates the available fonts for a given device."), helpcontext(3501)] long stdcall EnumFonts([in] long hDC, [in, out] LPSTR lpsz, [in] long lpFontEnumProc, [in] long lParam);
[entry("EnumMetaFile"), helpstring("Enumerates the individual metafile records for a standard Windows metafile."), helpcontext(2644)] long stdcall EnumMetaFile([in] long hDC, [in] long hMF, [in] long lpCallbackFunc, [in] long lpClientData);
[entry("EnumObjects"), helpstring("Enumerates the pens and brushes that may be used with the specified device context."), helpcontext(2480)] long stdcall EnumObjects([in] long hDC, [in] long nObjectType, [in] long lpObjectFunc, [in] long lpData);
[entry("EqualRgn"), helpstring("Determines if two regions are equivalent."), helpcontext(2524)] long stdcall EqualRgn([in] long hSrcRgn1, [in] long hSrcRgn2);
[entry("Escape"), helpstring("A flexible device control function"), helpcontext(2525)] long stdcall Escape([in] long hdc, [in] long nEscape, [in] long nCount, [in, out] void *lpInData, [in, out] void *lpOutData);
[entry("ExcludeClipRect"), helpstring("Excludes the rectangle defined by points X1,Y1 and X2,Y2 from the clipping area in the specified device context."), helpcontext(2528)] long stdcall ExcludeClipRect([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("ExtCreatePen"), helpstring("Creates an extended pen (cosmetic or geometric)."), helpcontext(2687)] long stdcall ExtCreatePen([in] long dwPenStyle, [in] long dwWidth, [in, out] LOGBRUSH *lplb, [in] long dwStyleCount, [in, out] void *lpStyle);
[entry("ExtCreateRegion"), helpstring("Allows you to modify a region according to a world transform."), helpcontext(2529)] long stdcall ExtCreateRegion([in, out] xform *lpXform, [in] long nCount, [in, out] void *lpRgnData);
[entry("ExtFloodFill"), helpstring("Fills an area in the specified device context using the currently selected brush."), helpcontext(2530)] long stdcall ExtFloodFill([in] long hdc, [in] long x, [in] long y, [in] long crColor, [in] long wFillType);
[entry("ExtSelectClipRgn"), helpstring("Allows you to combine a specified region into the current clipping region for a device context."), helpcontext(2608)] long stdcall ExtSelectClipRgn([in] long hdc, [in] long hRgn, [in] long fnMode);
[entry("ExtTextOutA"), helpstring("Extended text drawing function. Extended text drawing function. Refer also to the SetTextAlign function."), helpcontext(2693)] long stdcall ExtTextOut([in] long hdc, [in] long x, [in] long y, [in] long wOptions, [in, out] Rect *lpRect, [in, out] LPSTR lpString, [in] long nCount, [in, out] long *lpDx);
[entry("FillPath"), helpstring("Closes any open figures in the path and fills them with the current brush."), helpcontext(2676)] long stdcall FillPath([in] long hdc);
[entry("FillRgn"), helpstring("Fills the specified region using the specified brush."), helpcontext(2531)] long stdcall FillRgn([in] long hdc, [in] long hRgn, [in] long hBrush);
[entry("FlattenPath"), helpstring("Converts all curves in a path into line segments."), helpcontext(2677)] long stdcall FlattenPath([in] long hdc);
[entry("FloodFill"), helpstring("Fills an area in the specified device context using the currently selected brush."), helpcontext(2533)] long stdcall FloodFill([in] long hdc, [in] long x, [in] long y, [in] long crColor);
[entry("FrameRgn"), helpstring("Draws a frame around the specified region using the specified brush."), helpcontext(2532)] long stdcall FrameRgn([in] long hdc, [in] long hRgn, [in] long hBrush, [in] long nWidth, [in] long nHeight);
[entry("GdiComment"), helpstring("Adds a comment into the specified enhanced metafile device context."), helpcontext(2655)] long stdcall GdiComment([in] long hdc, [in] long cbSize, [in, out] void *lpData);
[entry("GdiFlush"), helpstring("Executes any pending drawing operations."), helpcontext(2717)] long stdcall GdiFlush(void);
[entry("GdiGetBatchLimit"), helpstring("Determines how many GDI drawing operations may be queued."), helpcontext(2719)] long stdcall GdiGetBatchLimit(void);
[entry("GdiSetBatchLimit"), helpstring("Specifies how many GDI drawing operations may be queued."), helpcontext(2718)] long stdcall GdiSetBatchLimit([in] long dwLimit);
[entry("GetArcDirection"), helpstring("Determines the current direction used when drawing arcs."), helpcontext(2689)] long stdcall GetArcDirection([in] long hdc);
[entry("GetAspectRatioFilterEx"), helpstring("The SetMapperFlags function can be used to request that Windows select only raster fonts that match the current aspect ratio of a device."), helpcontext(2535)] long stdcall GetAspectRatioFilterEx([in] long hdc, [in, out] SIZE *lpAspectRatio);
[entry("GetBitmapBits"), helpstring("Copies bits from a bitmap into a buffer."), helpcontext(2538)] long stdcall GetBitmapBits([in] long hBitmap, [in] long dwCount, [in, out] void *lpBits);
[entry("GetBitmapDimensionEx"), helpstring("Retrieves the width and height of a bitmap as set by the SetBitmapDimensionEx function."), helpcontext(2539)] long stdcall GetBitmapDimensionEx([in] long hBitmap, [in, out] SIZE *lpDimension);
[entry("GetBkColor"), helpstring("Retrieves the current background color for the specified device context."), helpcontext(2536)] long stdcall GetBkColor([in] long hdc);
[entry("GetBkMode"), helpstring("Retrieves the current background filling mode for the specified device context."), helpcontext(2537)] long stdcall GetBkMode([in] long hdc);
[entry("GetBoundsRect"), helpstring("Retrieves the bounding rectangle for the specified device context."), helpcontext(2540)] long stdcall GetBoundsRect([in] long hdc, [in, out] RECT *lprcBounds, [in] long flags);
[entry("GetBrushOrgEx"), helpstring("Retrieves the origin of the currently selected brush in the specified device context."), helpcontext(3503)] long stdcall GetBrushOrgEx([in] long hDC, [in, out] POINTAPI *lpPoint);
[entry("GetCharABCWidthsA"), helpstring("Retrieves the A-B-C dimensions of one or more characters in a TrueType font."), helpcontext(2544)] long stdcall GetCharABCWidths([in] long hdc, [in] long uFirstChar, [in] long uLastChar, [in, out] ABC *lpabc);
[entry("GetCharABCWidthsFloatA"), helpstring("Retrieves the A-B-C dimensions of one or more characters in a font."), helpcontext(2545)] long stdcall GetCharABCWidthsFloat([in] long hdc, [in] long iFirstChar, [in] long iLastChar, [in, out] ABCFLOAT *lpABCF);
[entry("GetCharacterPlacementA"), helpstring("This function retrieves information on how a string will be displayed under a given font."), helpcontext(2726)] long stdcall GetCharacterPlacement([in] long hdc, [in, out] LPSTR lpsz, [in] long n1, [in] long n2, [in, out] GCP_RESULTS *lpGcpResults, [in] long dw);
[entry("GetCharWidthA"), helpstring("Retrieves the widths of one or more characters in a font."), helpcontext(2541)] long stdcall GetCharWidth([in] long hdc, [in] long wFirstChar, [in] long wLastChar, [in, out] long *lpBuffer);
[entry("GetCharWidth32A"), helpstring("Retrieves the widths of one or more characters in a font."), helpcontext(2542)] long stdcall GetCharWidth32([in] long hdc, [in] long iFirstChar, [in] long iLastChar, [in, out] long *lpBuffer);
[entry("GetCharWidthFloatA"), helpstring("Retrieves the widths of one or more characters in a font."), helpcontext(2543)] long stdcall GetCharWidthFloat([in] long hdc, [in] long iFirstChar, [in] long iLastChar, [in, out] float *pxBuffer);
[entry("GetClipBox"), helpstring("Retrieves the smallest rectangle that completely contains the clipping region for the specified device context."), helpcontext(2546)] long stdcall GetClipBox([in] long hdc, [in, out] RECT *lpRect);
[entry("GetClipRgn"), helpstring("Retrieves the current clipping region for a device context."), helpcontext(2547)] long stdcall GetClipRgn([in] long hdc, [in] long hRgn);
[entry("GetCurrentObject"), helpstring("Use to obtain the currently selected object of the specified type."), helpcontext(2549)] long stdcall GetCurrentObject([in] long hdc, [in] long uObjectType);
[entry("GetCurrentPositionEx"), helpstring("Retrieves the current pen position in the specified device context."), helpcontext(2550)] long stdcall GetCurrentPositionEx([in] long hdc, [in, out] POINTAPI *lpPoint);
[entry("GetDCOrgEx"), helpstring("Retrieves the location of the origin of the specified device context in screen coordinates."), helpcontext(2715)] long stdcall GetDCOrgEx([in] long hdc, [in, out] POINTAPI *lpPoint);
[entry("GetDeviceCaps"), helpstring("Retrieves information regarding the capabilities of the device for the specified device context."), helpcontext(2551)] long stdcall GetDeviceCaps([in] long hdc, [in] long nIndex);
[entry("GetDIBColorTable"), helpstring("Retrieves color table information from a DIBSection that is selected into a device context."), helpcontext(3504)] long stdcall GetDIBColorTable([in] long hDC, [in] long un1, [in] long un2, [in, out] long *pRGBQuad);
[entry("GetDIBits"), helpstring("Copies bits from a bitmap into a device-independent bitmap."), helpcontext(2552)] long stdcall GetDIBits([in] long aHDC, [in] long hBitmap, [in] long nStartScan, [in] long nNumScans, [in, out] void *lpBits, [in, out] void *lpBI, [in] long wUsage);
[entry("GetEnhMetaFileA"), helpstring("Retrieves a metafile handle to an enhanced metafile contained in a disk file."), helpcontext(2645)] long stdcall GetEnhMetaFile([in, out] LPSTR lpszMetaFile);
[entry("GetEnhMetaFileBits"), helpstring("Copies the specified enhanced metafile into a memory buffer."), helpcontext(2646)] long stdcall GetEnhMetaFileBits([in] long hemf, [in] long cbBuffer, [in, out] char *lpbBuffer);
[entry("GetEnhMetaFileDescriptionA"), helpstring("VB Declaration"), helpcontext(2647)] long stdcall GetEnhMetaFileDescription([in] long hemf, [in] long cchBuffer, [in, out] LPSTR lpszDescription);
[entry("GetEnhMetaFileHeader"), helpstring("Retrieves the metafile header for an enhanced metafile."), helpcontext(2648)] long stdcall GetEnhMetaFileHeader([in] long hemf, [in] long cbBuffer, [in, out] ENHMETAHEADER *lpemh);
[entry("GetEnhMetaFilePaletteEntries"), helpstring("Retrieves all or part of the palette for an enhanced metafile."), helpcontext(2649)] long stdcall GetEnhMetaFilePaletteEntries([in] long hemf, [in] long cEntries, [in, out] PALETTEENTRY *lppe);
[entry("GetFontData"), helpstring("Retrieves the data for a scaleable font file."), helpcontext(2553)] long stdcall GetFontData([in] long hdc, [in] long dwTable, [in] long dwOffset, [in, out] void *lpvBuffer, [in] long cbData);
[entry("GetFontLanguageInfo"), helpstring("Returns information about the font currently selected into the specified device context."), helpcontext(2725)] long stdcall GetFontLanguageInfo([in] long hdc);
[entry("GetGlyphOutlineA"), helpstring("Retrieves information about the curves that make up a character in a TrueType font."), helpcontext(2554)] long stdcall GetGlyphOutline([in] long hdc, [in] long uChar, [in] long fuFormat, [in, out] GLYPHMETRICS *lpgm, [in] long cbBuffer, [in, out] void *lpBuffer, [in, out] MAT2 *lpmat2);
[entry("GetGraphicsMode"), helpstring("Determines whether advanced graphic modes (world transforms) are enabled."), helpcontext(2555)] long stdcall GetGraphicsMode([in] long hdc);
[entry("GetKerningPairsA"), helpstring("Retrieves kerning information for the specified font."), helpcontext(2714)] long stdcall GetKerningPairs([in] long hdc, [in] long cPairs, [in, out] KERNINGPAIR *lpkrnpair);
[entry("GetMapMode"), helpstring("Retrieves the mapping mode for the specified device context."), helpcontext(2556)] long stdcall GetMapMode([in] long hdc);
[entry("GetMetaFileA"), helpstring("Retrieves a metafile handle to a metafile contained in a disk file."), helpcontext(2558)] long stdcall GetMetaFile([in, out] LPSTR lpFileName);
[entry("GetMetaFileBitsEx"), helpstring("Copies the specified metafile into a memory buffer."), helpcontext(2557)] long stdcall GetMetaFileBitsEx([in] long hMF, [in] long nSize, [in, out] void *lpvData);
[entry("GetMiterLimit"), helpstring("Retrieve the current miter limit setting for the device context."), helpcontext(2688)] long stdcall GetMiterLimit([in] long hdc, [in, out] float *peLimit);
[entry("GetNearestColor"), helpstring("Retrieves the closest solid color to the specified color that the device can actually display."), helpcontext(2559)] long stdcall GetNearestColor([in] long hdc, [in] long crColor);
[entry("GetObjectA"), helpstring("Retrieves a structure describing the specified object.")] long stdcall GetObjectAPI([in] long hObject, [in] long nCount, [in, out] void *lpObject);
[entry("GetObjectType"), helpstring("Retrieves the type of GDI object referenced by the specified handle."), helpcontext(2561)] long stdcall GetObjectType([in] long hgdiobj);
[entry("GetOutlineTextMetricsA"), helpstring("Retrieves detailed information about the internal characteristics of a TrueType font."), helpcontext(2562)] long stdcall GetOutlineTextMetrics([in] long hdc, [in] long cbData, [in, out] void *lpotm);
[entry("GetPath"), helpstring("Retrieves a set of data that defines the current path."), helpcontext(2678)] long stdcall GetPath([in] long hdc, [in, out] POINTAPI *lpPoint, [in, out] char *lpTypes, [in] long nSize);
[entry("GetPixel"), helpstring("Retrieves the RGB value of a pixel in the specified device context."), helpcontext(2564)] long stdcall GetPixel([in] long hdc, [in] long x, [in] long y);
[entry("GetPolyFillMode"), helpstring("Retrieves the polygon filling mode for the specified device context."), helpcontext(2565)] long stdcall GetPolyFillMode([in] long hdc);
[entry("GetRasterizerCaps"), helpstring("Retrieves information about the ability of the system to support scaleable fonts."), helpcontext(2566)] long stdcall GetRasterizerCaps([in, out] RASTERIZER_STATUS *lpraststat, [in] long cb);
[entry("GetRegionData"), helpstring("Loads a RgnData structure or buffer with information describing a region."), helpcontext(2567)] long stdcall GetRegionData([in] long hRgn, [in] long dwCount, [in, out] void *lpRgnData);
[entry("GetRgnBox"), helpstring("Retrieves the smallest rectangle that completely contains the specified region."), helpcontext(2568)] long stdcall GetRgnBox([in] long hRgn, [in, out] RECT *lpRect);
[entry("GetROP2"), helpstring("Retrieves the current drawing mode for the specified device context."), helpcontext(2534)] long stdcall GetROP2([in] long hdc);
[entry("GetStockObject"), helpstring("Retrieves a stock object."), helpcontext(2569)] long stdcall GetStockObject([in] long nIndex);
[entry("GetStretchBltMode"), helpstring("Determines the stretching mode for the StretchBlt and StretchDIBits functions."), helpcontext(2570)] long stdcall GetStretchBltMode([in] long hdc);
[entry("GetTextAlign"), helpstring("Retrieves the current text alignment flags for a device context."), helpcontext(2574)] long stdcall GetTextAlign([in] long hdc);
[entry("GetTextCharacterExtra"), helpstring("Retrieves the current value of the extra character spacing."), helpcontext(2573)] long stdcall GetTextCharacterExtra([in] long hdc);
[entry("GetTextCharset"), helpstring("Retrieves the character set identifier for the font currently selected into the specified device context."), helpcontext(2722)] long stdcall GetTextCharset([in] long hdc);
[entry("GetTextCharsetInfo"), helpstring("Retrieves detailed information about the character set for the currently selected font."), helpcontext(2723)] long stdcall GetTextCharsetInfo([in] long hdc, [in, out] FONTSIGNATURE *lpSig, [in] long dwFlags);
[entry("GetTextColor"), helpstring("Retrieves the current text color. Retrieves the current text color. This is also known as the foreground color."), helpcontext(2575)] long stdcall GetTextColor([in] long hdc);
[entry("GetTextExtentExPointA"), helpstring("Determines the number of characters that will fit into a specified area."), helpcontext(2578)] long stdcall GetTextExtentExPoint([in] long hdc, [in, out] LPSTR lpszStr, [in] long cchString, [in] long nMaxExtent, [in, out] long *lpnFit, [in, out] long *alpDx, [in, out] SIZE *lpSize);
[entry("GetTextExtentPointA"), helpstring("Determines the extents of a string."), helpcontext(2576)] long stdcall GetTextExtentPoint([in] long hdc, [in, out] LPSTR lpszString, [in] long cbString, [in, out] SIZE *lpSize);
[entry("GetTextExtentPoint32A"), helpstring("Determines the extents of a string."), helpcontext(2577)] long stdcall GetTextExtentPoint32([in] long hdc, [in, out] LPSTR lpsz, [in] long cbString, [in, out] SIZE *lpSize);
[entry("GetTextFaceA"), helpstring("Retrieves the name of the typeface for a font."), helpcontext(2713)] long stdcall GetTextFace([in] long hdc, [in] long nCount, [in, out] LPSTR lpFacename);
[entry("GetTextMetricsA"), helpstring("Retrieves information about the physical font selected for a device context."), helpcontext(2656)] long stdcall GetTextMetrics([in] long hdc, [in, out] TEXTMETRIC *lpMetrics);
[entry("GetViewportExtEx"), helpstring("Retrieves the extents of the device context's viewport."), helpcontext(2579)] long stdcall GetViewportExtEx([in] long hdc, [in, out] SIZE *lpSize);
[entry("GetViewportOrgEx"), helpstring("Retrieves the origins of the device context's viewport."), helpcontext(2580)] long stdcall GetViewportOrgEx([in] long hdc, [in, out] POINTAPI *lpPoint);
[entry("GetWindowExtEx"), helpstring("Retrieves the window extents of the specified device context."), helpcontext(2581)] long stdcall GetWindowExtEx([in] long hdc, [in, out] SIZE *lpSize);
[entry("GetWindowOrgEx"), helpstring("Retrieves the logical window origin for the specified device context."), helpcontext(2582)] long stdcall GetWindowOrgEx([in] long hdc, [in, out] POINTAPI *lpPoint);
[entry("GetWinMetaFileBits"), helpstring("Converts an enhanced metafile into a standard Windows metafile by filling a buffer with the data for the standard metafile."), helpcontext(2650)] long stdcall GetWinMetaFileBits([in] long hemf, [in] long cbBuffer, [in, out] char *lpbBuffer, [in] long fnMapMode, [in] long hdcRef);
[entry("GetWorldTransform"), helpstring("Retrieves the current world transform for a device context if one is in effect."), helpcontext(2659)] long stdcall GetWorldTransform([in] long hdc, [in, out] xform *lpXform);
[entry("IntersectClipRect"), helpstring("Specifies a new clipping region for the specified device context from the intersection of the current clipping region and the rectangle defined by points X1,Y1 and X2,Y2."), helpcontext(2583)] long stdcall IntersectClipRect([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("InvertRgn"), helpstring("Inverts the specified region on a device context by inverting the value of each pixel."), helpcontext(2584)] long stdcall InvertRgn([in] long hdc, [in] long hRgn);
[entry("LineDDA"), helpstring("Enumerates all points in the specified line."), helpcontext(3506)] long stdcall LineDDA([in] long n1, [in] long n2, [in] long n3, [in] long n4, [in] long lpLineDDAProc, [in] long lParam);
[entry("LineTo"), helpstring("Draws a line using the current pen from the current position to the point specified."), helpcontext(2585)] long stdcall LineTo([in] long hdc, [in] long x, [in] long y);
[entry("LPtoDP"), helpstring("Converts an array of points from logical coordinates in the specified device context to device coordinates."), helpcontext(2697)] long stdcall LPtoDP([in] long hdc, [in, out] POINTAPI *lpPoint, [in] long nCount);
[entry("MaskBlt"), helpstring("Performs a complex image transfer with masking."), helpcontext(2586)] long stdcall MaskBlt([in] long hdcDest, [in] long nXDest, [in] long nYDest, [in] long nWidth, [in] long nHeight, [in] long hdcSrc, [in] long nXSrc, [in] long nYSrc, [in] long hbmMask, [in] long xMask, [in] long yMask, [in] long dwRop);
[entry("ModifyWorldTransform"), helpstring("Modifies the current world transform according to the mode specified."), helpcontext(2661)] long stdcall ModifyWorldTransform([in] long hdc, [in, out] xform *lpXform, [in] long iMode);
[entry("MoveToEx"), helpstring("Specifies a new current pen position for the specified device context."), helpcontext(2691)] long stdcall MoveToEx([in] long hdc, [in] long x, [in] long y, [in, out] POINTAPI *lpPoint);
[entry("OffsetClipRgn"), helpstring("Moves the clipping region of the specified device context by the amount specified."), helpcontext(2588)] long stdcall OffsetClipRgn([in] long hdc, [in] long x, [in] long y);
[entry("OffsetRgn"), helpstring("Moves the specified region by the offset specified."), helpcontext(2589)] long stdcall OffsetRgn([in] long hRgn, [in] long x, [in] long y);
[entry("OffsetViewportOrgEx"), helpstring("Offsets the origin of the device contexts viewport."), helpcontext(2707)] long stdcall OffsetViewportOrgEx([in] long hdc, [in] long nX, [in] long nY, [in, out] POINTAPI *lpPoint);
[entry("OffsetWindowOrgEx"), helpstring("Offsets the window origin for the specified device context."), helpcontext(2708)] long stdcall OffsetWindowOrgEx([in] long hdc, [in] long nX, [in] long nY, [in, out] POINTAPI *lpPoint);
[entry("PaintRgn"), helpstring("This function fills the specified region using the current brush background color."), helpcontext(2593)] long stdcall PaintRgn([in] long hdc, [in] long hRgn);
[entry("PatBlt"), helpstring("Fills the specified device context with a pattern based on the currently selected brush."), helpcontext(2590)] long stdcall PatBlt([in] long hdc, [in] long x, [in] long y, [in] long nWidth, [in] long nHeight, [in] long dwRop);
[entry("PathToRegion"), helpstring("Converts the current selected path into a region."), helpcontext(2679)] long stdcall PathToRegion([in] long hdc);
[entry("PlayEnhMetaFile"), helpstring("Draws an enhanced metafile into the specified device context."), helpcontext(2651)] long stdcall PlayEnhMetaFile([in] long hdc, [in] long hemf, [in, out] RECT *lpRect);
[entry("PlayEnhMetaFileRecord"), helpstring("Plays a single enhanced metafile record."), helpcontext(2652)] long stdcall PlayEnhMetaFileRecord([in] long hdc, [in, out] long *lpHandletable, [in, out] void *lpEnhMetaRecord, [in] long nHandles);
[entry("PlayMetaFile"), helpstring("Plays a metafile into the specified device context."), helpcontext(2592)] long stdcall PlayMetaFile([in] long hdc, [in] long hMF);
[entry("PlayMetaFileRecord"), helpstring("Plays a single record from a metafile (each record contains a single GDI drawing command)."), helpcontext(2638)] long stdcall PlayMetaFileRecord([in] long hdc, [in] long lpHandletable, [in, out] void *lpMetaRecord, [in] long nHandles);
[entry("PlgBlt"), helpstring("Copies a bitmap, transforming it into a parallelogram."), helpcontext(2587)] long stdcall PlgBlt([in] long hdcDest, [in, out] POINTAPI *lpPoint, [in] long hdcSrc, [in] long nXSrc, [in] long nYSrc, [in] long nWidth, [in] long nHeight, [in] long hbmMask, [in] long xMask, [in] long yMask);
[entry("PolyBezier"), helpstring("Draws one or more Bzier curves."), helpcontext(2700)] long stdcall PolyBezier([in] long hdc, [in, out] POINTAPI *lppt, [in] long cPoints);
[entry("PolyBezierTo"), helpstring("Draws one or more Bzier curves."), helpcontext(2701)] long stdcall PolyBezierTo([in] long hdc, [in, out] POINTAPI *lppt, [in] long cCount);
[entry("PolyDraw"), helpstring("Draws a complex curve consisting of line segments and Bzier curves."), helpcontext(2680)] long stdcall PolyDraw([in] long hdc, [in, out] POINTAPI *lppt, [in, out] char *lpbTypes, [in] long cCount);
[entry("Polygon"), helpstring("Draws a polygon consisting of an arbitrary series of two or more points."), helpcontext(2699)] long stdcall Polygon([in] long hdc, [in, out] POINTAPI *lpPoint, [in] long nCount);
[entry("Polyline"), helpstring("Draws a series of lines using the current pen."), helpcontext(2698)] long stdcall Polyline([in] long hdc, [in, out] POINTAPI *lpPoint, [in] long nCount);
[entry("PolylineTo"), helpstring("Draws a series of lines using the current pen."), helpcontext(2702)] long stdcall PolylineTo([in] long hdc, [in, out] POINTAPI *lppt, [in] long cCount);
[entry("PolyPolygon"), helpstring("Draws two or more polygons using the currently selected pen."), helpcontext(2594)] long stdcall PolyPolygon([in] long hdc, [in, out] POINTAPI *lpPoint, [in, out] long *lpPolyCounts, [in] long nCount);
[entry("PolyPolyline"), helpstring("Draws two or more polygons using the currently selected pen."), helpcontext(2658)] long stdcall PolyPolyline([in] long hdc, [in, out] POINTAPI *lppt, [in, out] long *lpdwPolyPoints, [in] long cCount);
[entry("PolyTextOutA"), helpstring("Draws a series of strings."), helpcontext(2694)] long stdcall PolyTextOut([in] long hdc, [in, out] POLYTEXT *pptxt, [in, out] long *cStrings);
[entry("PtInRegion"), helpstring("Determines if a point is in a specified region."), helpcontext(2595)] long stdcall PtInRegion([in] long hRgn, [in] long x, [in] long y);
[entry("PtVisible"), helpstring("Determines if the specified point is visible (that is, inside the clipping region of the specified device context)."), helpcontext(2596)] long stdcall PtVisible([in] long hdc, [in] long x, [in] long y);
[entry("Rectangle"), helpstring("Draws the rectangle specified with the currently selected pen and fills it with the currently selected brush."), helpcontext(2599)] long stdcall Rectangle([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("RectInRegion"), helpstring("Determines if any part of a rectangle is in a specified region."), helpcontext(2598)] long stdcall RectInRegion([in] long hRgn, [in, out] RECT *lpRect);
[entry("RectVisible"), helpstring("Determines if any part of the specified rectangle is visible (that is, inside the clipping region of the specified device context)."), helpcontext(2597)] long stdcall RectVisible([in] long hdc, [in, out] RECT *lpRect);
[entry("RemoveFontResourceA"), helpstring("Removes a font resource from the Windows system."), helpcontext(2603)] long stdcall RemoveFontResource([in, out] LPSTR lpFileName);
[entry("ResetDCA"), helpstring("Resets a device context according to the DEVMODE structure provided."), helpcontext(2601)] long stdcall ResetDC([in] long hdc, [in, out] char *lpInitData);
[entry("RestoreDC"), helpstring("Restores a previously saved device context from the device context stack."), helpcontext(2600)] long stdcall RestoreDC([in] long hdc, [in] long nSavedDC);
[entry("RoundRect"), helpstring("Draws the rectangle with rounded corners with the currently selected pen and fills it with the currently selected brush."), helpcontext(2604)] long stdcall RoundRect([in] long hdc, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2, [in] long X3, [in] long Y3);
[entry("SaveDC"), helpstring("Saves the state of the specified device context on the Windows device context stack."), helpcontext(2606)] long stdcall SaveDC([in] long hdc);
[entry("ScaleViewportExtEx"), helpstring("Scales the extents of the device contexts viewport."), helpcontext(2710)] long stdcall ScaleViewportExtEx([in] long hdc, [in] long nXnum, [in] long nXdenom, [in] long nYnum, [in] long nYdenom, [in, out] SIZE *lpSize);
[entry("ScaleWindowExtEx"), helpstring("Scales the window extents for the specified device context."), helpcontext(2709)] long stdcall ScaleWindowExtEx([in] long hdc, [in] long nXnum, [in] long nXdenom, [in] long nYnum, [in] long nYdenom, [in, out] SIZE *lpSize);
[entry("SelectClipPath"), helpstring("Merges the current path in a device context into the clipping region."), helpcontext(2681)] long stdcall SelectClipPath([in] long hdc, [in] long iMode);
[entry("SelectClipRgn"), helpstring("Selects a new clipping region for the specified device context."), helpcontext(2607)] long stdcall SelectClipRgn([in] long hdc, [in] long hRgn);
[entry("SelectObject"), helpstring("Each device context may have graphics objects selected into it."), helpcontext(2610)] long stdcall SelectObject([in] long hdc, [in] long hObject);
[entry("SetAbortProc"), helpstring("It is possible to provide Windows with a function to call during extended print operations."), helpcontext(3507)] long stdcall SetAbortProc([in] long hDC, [in] long lpAbortProc);
[entry("SetArcDirection"), helpstring("Sets the direction to use when drawing arcs."), helpcontext(2682)] long stdcall SetArcDirection([in] long hdc, [in] long ArcDirection);
[entry("SetBitmapBits"), helpstring("Copies bits from a buffer into a bitmap."), helpcontext(2614)] long stdcall SetBitmapBits([in] long hBitmap, [in] long dwCount, [in, out] void *lpBits);
[entry("SetBitmapDimensionEx"), helpstring("Sets the width and height of a bitmap in tenths of a millimeter."), helpcontext(2711)] long stdcall SetBitmapDimensionEx([in] long hbm, [in] long nX, [in] long nY, [in, out] SIZE *lpSize);
[entry("SetBkColor"), helpstring("Sets the background color for the specified device context."), helpcontext(2612)] long stdcall SetBkColor([in] long hdc, [in] long crColor);
[entry("SetBkMode"), helpstring("Specifies the way that gaps in hatched brushes, dashed pens, and characters are filled."), helpcontext(2613)] long stdcall SetBkMode([in] long hdc, [in] long nBkMode);
[entry("SetBoundsRect"), helpstring("Sets the bounding rectangle for the specified device context."), helpcontext(2615)] long stdcall SetBoundsRect([in] long hdc, [in, out] RECT *lprcBounds, [in] long flags);
[entry("SetBrushOrgEx"), helpstring("Sets the origin of the currently selected brush in the specified device context."), helpcontext(2712)] long stdcall SetBrushOrgEx([in] long hdc, [in] long nXOrg, [in] long nYOrg, [in, out] POINTAPI *lppt);
[entry("SetDIBColorTable"), helpstring("Sets the color table information from a DIBSection that is selected into a device context."), helpcontext(3508)] long stdcall SetDIBColorTable([in] long hDC, [in] long un1, [in] long un2, [in, out] long *pcRGBQuad);
[entry("SetDIBits"), helpstring("Copies bits from a device-independent bitmap into a device-dependent bitmap."), helpcontext(2616)] long stdcall SetDIBits([in] long hdc, [in] long hBitmap, [in] long nStartScan, [in] long nNumScans, [in, out] void *lpBits, [in, out] void *lpBI, [in] long wUsage);
[entry("SetDIBitsToDevice"), helpstring("Copies all or part of a device-independent bitmap directly to a device."), helpcontext(2617)] long stdcall SetDIBitsToDevice([in] long hdc, [in] long x, [in] long y, [in] long dx, [in] long dy, [in] long SrcX, [in] long SrcY, [in] long Scan, [in] long NumScans, [in, out] void *Bits, [in, out] void *BitsInfo, [in] long wUsage);
[entry("SetEnhMetaFileBits"), helpstring("Creates an enhanced metafile using the data contained in the specified memory buffer."), helpcontext(2653)] long stdcall SetEnhMetaFileBits([in] long cbBuffer, [in, out] char *lpData);
[entry("SetGraphicsMode"), helpstring("Enables or disables advanced graphic mode support including world transforms."), helpcontext(2619)] long stdcall SetGraphicsMode([in] long hdc, [in] long iMode);
[entry("SetMapMode"), helpstring("Sets the mapping mode for the specified device context."), helpcontext(2620)] long stdcall SetMapMode([in] long hdc, [in] long nMapMode);
[entry("SetMapperFlags"), helpstring("When Windows is mapping fonts, this function may be used to select raster fonts that match the aspect ratio of the device."), helpcontext(2618)] long stdcall SetMapperFlags([in] long hdc, [in] long dwFlag);
[entry("SetMetaFileBitsEx"), helpstring("Creates a metafile using the data contained in the specified memory buffer."), helpcontext(2621)] long stdcall SetMetaFileBitsEx([in] long nSize, [in, out] char *lpData);
[entry("SetMiterLimit"), helpstring("Retrieve the current miter limit setting for the device context."), helpcontext(2683)] long stdcall SetMiterLimit([in] long hdc, [in] float eNewLimit, [in, out] float *peOldLimit);
[entry("SetPixel"), helpstring("Sets the RGB value of a pixel in the specified device context."), helpcontext(2623)] long stdcall SetPixel([in] long hdc, [in] long x, [in] long y, [in] long crColor);
[entry("SetPixelV"), helpstring("Sets the RGB value of a pixel in the specified device context."), helpcontext(2624)] long stdcall SetPixelV([in] long hdc, [in] long x, [in] long y, [in] long crColor);
[entry("SetPolyFillMode"), helpstring("Sets the filling mode for polygons."), helpcontext(2625)] long stdcall SetPolyFillMode([in] long hdc, [in] long nPolyFillMode);
[entry("SetRectRgn"), helpstring("Sets the specified region to a rectangle described by the points X1,Y1 and X2,Y2."), helpcontext(2627)] long stdcall SetRectRgn([in] long hRgn, [in] long X1, [in] long Y1, [in] long X2, [in] long Y2);
[entry("SetROP2"), helpstring("Sets the drawing mode for the specified device context."), helpcontext(2629)] long stdcall SetROP2([in] long hdc, [in] long nDrawMode);
[entry("SetStretchBltMode"), helpstring("Specifies the stretching mode for the StretchBlt and StretchDIBits functions."), helpcontext(2630)] long stdcall SetStretchBltMode([in] long hdc, [in] long nStretchMode);
[entry("SetTextAlign"), helpstring("Sets the text alignment and specifies the use of the device context current position during text output."), helpcontext(2634)] long stdcall SetTextAlign([in] long hdc, [in] long wFlags);
[entry("SetTextCharacterExtra"), helpstring("Specifies the extra spacing to insert between characters when drawing text."), helpcontext(2632)] long stdcall SetTextCharacterExtra([in] long hdc, [in] long nCharExtra);
[entry("SetTextColor"), helpstring("Sets the current text color. Sets the current text color. This is also known as the foreground color."), helpcontext(2633)] long stdcall SetTextColor([in] long hdc, [in] long crColor);
[entry("SetTextJustification"), helpstring("This function is used to justify lines by specifying the extra space that a line should take."), helpcontext(2635)] long stdcall SetTextJustification([in] long hdc, [in] long nBreakExtra, [in] long nBreakCount);
[entry("SetViewportExtEx"), helpstring("Sets the extents of the device context's viewport."), helpcontext(2703)] long stdcall SetViewportExtEx([in] long hdc, [in] long nX, [in] long nY, [in, out] SIZE *lpSize);
[entry("SetViewportOrgEx"), helpstring("Sets the origin of the device context's viewport."), helpcontext(2704)] long stdcall SetViewportOrgEx([in] long hdc, [in] long nX, [in] long nY, [in, out] POINTAPI *lpPoint);
[entry("SetWindowExtEx"), helpstring("Sets the window extents for the specified device context."), helpcontext(2706)] long stdcall SetWindowExtEx([in] long hdc, [in] long nX, [in] long nY, [in, out] SIZE *lpSize);
[entry("SetWindowOrgEx"), helpstring("Sets the window origin for the specified device context."), helpcontext(2705)] long stdcall SetWindowOrgEx([in] long hdc, [in] long nX, [in] long nY, [in, out] POINTAPI *lpPoint);
[entry("SetWinMetaFileBits"), helpstring("Converts a standard Windows metafile into an enhanced metafile."), helpcontext(2654)] long stdcall SetWinMetaFileBits([in] long cbBuffer, [in, out] char *lpbBuffer, [in] long hdcRef, [in, out] METAFILEPICT *lpmfp);
[entry("SetWorldTransform"), helpstring("Sets the world transform. Sets the world transform. See the section on World Transforms earlier in the chapter."), helpcontext(2660)] long stdcall SetWorldTransform([in] long hdc, [in, out] xform *lpXform);
[entry("StartDocA"), helpstring("Begins a print job."), helpcontext(2666)] long stdcall StartDoc([in] long hdc, [in, out] DOCINFO *lpdi);
[entry("StartPage"), helpstring("This function is called before printing into a new page."), helpcontext(2667)] long stdcall StartPage([in] long hdc);
[entry("StretchBlt"), helpstring("Copies a bitmap from one device context to another."), helpcontext(2626)] long stdcall StretchBlt([in] long hdc, [in] long x, [in] long y, [in] long nWidth, [in] long nHeight, [in] long hSrcDC, [in] long xSrc, [in] long ySrc, [in] long nSrcWidth, [in] long nSrcHeight, [in] long dwRop);
[entry("StretchDIBits"), helpstring("Copies all or part of a device-independent bitmap directly to a device context."), helpcontext(2628)] long stdcall StretchDIBits([in] long hdc, [in] long x, [in] long y, [in] long dx, [in] long dy, [in] long SrcX, [in] long SrcY, [in] long wSrcWidth, [in] long wSrcHeight, [in, out] void *lpBits, [in, out] void *lpBitsInfo, [in] long wUsage, [in] long dwRop);
[entry("StrokeAndFillPath"), helpstring("Closes any open regions on the path for the specified device context."), helpcontext(2684)] long stdcall StrokeAndFillPath([in] long hdc);
[entry("StrokePath"), helpstring("Draws the outline of a path using the current pen."), helpcontext(2685)] long stdcall StrokePath([in] long hdc);
[entry("TextOutA"), helpstring("Text-drawing function. Text-drawing function. Refer also to the SetTextAlign function."), helpcontext(2692)] long stdcall TextOut([in] long hdc, [in] long x, [in] long y, [in, out] LPSTR lpString, [in] long nCount);
[entry("UnrealizeObject"), helpstring("This function must be called for a brush object before selecting it into a device context if the brush origin is to be changed using the SetBrushOrg function."), helpcontext(2716)] long stdcall UnrealizeObject([in] long hObject);
[entry("WidenPath"), helpstring("Redefines the currently selected path based on the width of the selected pen."), helpcontext(2686)] long stdcall WidenPath([in] long hdc);
