// Kernel32 functions & constants
[helpstring("Maximum path length")] const long MAX_PATH = 260;
[helpstring("Synchronization permission")] const long SYNCHRONIZE = 0x100000;
[helpstring("Standard rights read/write/execute")] const long STANDARD_RIGHTS_READ = 0x20000;
[helpstring("Standard rights read/write/execute")] const long STANDARD_RIGHTS_WRITE = 0x20000;
[helpstring("Standard rights read/write/execute")] const long STANDARD_RIGHTS_EXECUTE = 0x20000;
[helpstring("Standard rights required")] const long STANDARD_RIGHTS_REQUIRED = 0xF0000;
[helpstring("Standard rights all")] const long STANDARD_RIGHTS_ALL = 0x1F0000;
[helpstring("Generic read permission")] const long GENERIC_READ = 0x80000000;
[helpstring("Generic write permission")] const long GENERIC_WRITE = 0x40000000;
[helpstring("Generic execute permission")] const long GENERIC_EXECUTE = 0x20000000;
[helpstring("Generic full permission")] const long GENERIC_ALL = 0x10000000;





[entry("AddAtomA"), helpstring("Adds an atom to the local atom table."), helpcontext(2167)] short stdcall AddAtom([in, out] LPSTR lpString);
[entry("Beep"), helpstring("Used to generate simple sounds."), helpcontext(2340)] long stdcall Beep([in] long dwFreq, [in] long dwDuration);
[entry("BeginUpdateResourceA"), helpstring("Use to begin the process of updating resources in an executable file."), helpcontext(2160)] long stdcall BeginUpdateResource([in, out] LPSTR pFileName, [in] long bDeleteExistingResources);
[entry("BuildCommDCBA"), helpstring("This function loads a device control block with settings according to a string similar to that used by the MS-DOS Mode command parameters."), helpcontext(4192)] long stdcall BuildCommDCB([in, out] LPSTR lpDef, [in, out] DCB *lpDCB);
[entry("BuildCommDCBAndTimeoutsA"), helpstring("This function loads a device control block with settings according to a string similar to that used by the MS-DOS Mode command parameters."), helpcontext(4193)] long stdcall BuildCommDCBAndTimeouts([in, out] LPSTR lpDef, [in, out] DCB *lpDCB, [in, out] COMMTIMEOUTS *lpCommTimeouts);
[entry("CallNamedPipeA"), helpstring("This function is called by a client process that wishes to communicate via a pipe."), helpcontext(2209)] long stdcall CallNamedPipe([in, out] LPSTR lpNamedPipeName, [in, out] void *lpInBuffer, [in] long nInBufferSize, [in, out] void *lpOutBuffer, [in] long nOutBufferSize, [in, out] long *lpBytesRead, [in] long nTimeOut);
[entry("CancelWaitableTimer"), helpstring("This function cancels a waitable timer operation.")] long stdcall CancelWaitableTimer([in] long hTimer);
[entry("ClearCommBreak"), helpstring("Takes the specified serial port out of the break state."), helpcontext(4194)] long stdcall ClearCommBreak([in] long nCid);
[entry("ClearCommError"), helpstring("Determines the latest status and error results for the specified communications port."), helpcontext(4195)] long stdcall ClearCommError([in] long hFile, [in, out] long *lpErrors, [in, out] COMSTAT *lpStat);
[entry("CloseHandle"), helpstring("Closes a kernel object."), helpcontext(2105)] long stdcall CloseHandle([in] long hObject);
[entry("CommConfigDialogA"), helpstring("Brings up the configuration dialog box for the specified serial communications device."), helpcontext(4196)] long stdcall CommConfigDialog([in, out] LPSTR lpszName, [in] long hWnd, [in, out] COMMCONFIG *lpCC);
[entry("CompareFileTime"), helpstring("Compares two file times as specified by FILETIME structures."), helpcontext(2353)] long stdcall CompareFileTime([in, out] FILETIME *lpFileTime1, [in, out] FILETIME *lpFileTime2);
[entry("CompareStringA"), helpstring("Compares two strings based on the text comparison settings for a specified locale."), helpcontext(2425)] long stdcall CompareString([in] long Locale, [in] long dwCmpFlags, [in, out] LPSTR lpString1, [in] long cchCount1, [in, out] LPSTR lpString2, [in] long cchCount2);
[entry("ConnectNamedPipe"), helpstring("Causes a server to wait until a client connects to a named pipe."), helpcontext(2359)] long stdcall ConnectNamedPipe([in] long hNamedPipe, [in, out] OVERLAPPED *lpOverlapped);
[entry("ConvertDefaultLocale"), helpstring("Converts one of the special locale identifiers to a true locale ID."), helpcontext(2440)] long stdcall ConvertDefaultLocale([in] long Locale);
[entry("CopyFileA"), helpstring("Copies a file."), helpcontext(2204)] long stdcall CopyFile([in, out] LPSTR lpExistingFileName, [in, out] LPSTR lpNewFileName, [in] long bFailIfExists);
[entry("CreateDirectoryA"), helpstring("Creates a new directory."), helpcontext(2191)] long stdcall CreateDirectory([in, out] LPSTR lpPathName, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes);
[entry("CreateDirectoryExA"), helpstring("Creates a new directory."), helpcontext(2192)] long stdcall CreateDirectoryEx([in, out] LPSTR lpTemplateDirectory, [in, out] LPSTR lpNewDirectory, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes);
[entry("CreateEventA"), helpstring("Creates an event object. Creates an event object. Refer to the chapter text for a description of event objects."), helpcontext(2394)] long stdcall CreateEvent([in, out] SECURITY_ATTRIBUTES *lpEventAttributes, [in] long bManualReset, [in] long bInitialState, [in, out] LPSTR lpName);
[entry("CreateFileA"), helpstring("All purpose routine for opening and creating files, pipes, mailslots, communication services, devices, and consoles."), helpcontext(2197)] long stdcall CreateFile([in, out] LPSTR lpFileName, [in] long dwDesiredAccess, [in] long dwShareMode, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes, [in] long dwCreationDisposition, [in] long dwFlagsAndAttributes, [in] long hTemplateFile);
[entry("CreateFileMappingA"), helpstring("Creates a new file mapping object."), helpcontext(2398)] long stdcall CreateFileMapping([in] long hFile, [in, out] SECURITY_ATTRIBUTES *lpFileMappingAttributes, [in] long flProtect, [in] long dwMaximumSizeHigh, [in] long dwMaximumSizeLow, [in, out] LPSTR lpName);
[entry("CreateMailslotA"), helpstring("Creates a mailslot. Creates a mailslot. The handle returned is used by the mailslot server (message recipient)."), helpcontext(2365)] long stdcall CreateMailslot([in, out] LPSTR lpName, [in] long nMaxMessageSize, [in] long lReadTimeout, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes);
[entry("CreateMutexA"), helpstring("Creates a mutex."), helpcontext(2392)] long stdcall CreateMutex([in, out] SECURITY_ATTRIBUTES *lpMutexAttributes, [in] long bInitialOwner, [in, out] LPSTR lpName);
[entry("CreateNamedPipeA"), helpstring("Creates a named pipe. Creates a named pipe. The handle returned is used by the server side of the pipe."), helpcontext(2207)] long stdcall CreateNamedPipe([in, out] LPSTR lpName, [in] long dwOpenMode, [in] long dwPipeMode, [in] long nMaxInstances, [in] long nOutBufferSize, [in] long nInBufferSize, [in] long nDefaultTimeOut, [in, out] SECURITY_ATTRIBUTES *lpSecurityAttributes);
[entry("CreatePipe"), helpstring("Creates an anonymous pipe."), helpcontext(2358)] long stdcall CreatePipe([in, out] long *phReadPipe, [in, out] long *phWritePipe, [in, out] SECURITY_ATTRIBUTES *lpPipeAttributes, [in] long nSize);
[entry("CreateProcessA"), helpstring("Creates a new process (for example, executes a program)."), helpcontext(2052)] long stdcall CreateProcess([in, out] LPSTR lpApplicationName, [in, out] LPSTR lpCommandLine, [in, out] SECURITY_ATTRIBUTES *lpProcessAttributes, [in, out] SECURITY_ATTRIBUTES *lpThreadAttributes, [in] long bInheritHandles, [in] long dwCreationFlags, [in, out] void *lpEnvironment, [in, out] LPSTR lpCurrentDirectory, [in, out] STARTUPINFO *lpStartupInfo, [in, out] PROCESS_INFORMATION *lpProcessInformation);
[entry("CreateSemaphoreA"), helpstring("Creates a new semaphore."), helpcontext(2396)] long stdcall CreateSemaphore([in, out] SECURITY_ATTRIBUTES *lpSemaphoreAttributes, [in] long lInitialCount, [in] long lMaximumCount, [in, out] LPSTR lpName);
[entry("CreateWaitableTimerA"), helpstring("Creates a waitable timer object.")] long stdcall CreateWaitableTimer([in, out] SECURITY_ATTRIBUTES *lpTimerAttributes, [in] long bManualReset, [in, out] LPSTR lpName);
[entry("DeleteAtom"), helpstring("Deletes the specified atom."), helpcontext(2168)] short stdcall DeleteAtom([in] short nAtom);
[entry("DeleteFileA"), helpstring("Deletes the specified file."), helpcontext(2200)] long stdcall DeleteFile([in, out] LPSTR lpFileName);
[entry("DeviceIoControl"), helpstring("Performs a specified operation on a device."), helpcontext(2099)] long stdcall DeviceIoControl([in] long hDevice, [in] long dwIoControlCode, [in, out] void *lpInBuffer, [in] long nInBufferSize, [in, out] void *lpOutBuffer, [in] long nOutBufferSize, [in, out] long *lpBytesReturned, [in, out] OVERLAPPED *lpOverlapped);
[entry("DisconnectNamedPipe"), helpstring("Disconnects a client from a named pipe."), helpcontext(2360)] long stdcall DisconnectNamedPipe([in] long hNamedPipe);
[entry("DosDateTimeToFileTime"), helpstring("Converts DOS date and time values to a Win32 FILETIME value."), helpcontext(2355)] long stdcall DosDateTimeToFileTime([in] long wFatDate, [in] long wFatTime, [in, out] FILETIME *lpFileTime);
[entry("DuplicateHandle"), helpstring("Creates a new handle to an existing system object given an existing handle to that object."), helpcontext(2106)] long stdcall DuplicateHandle([in] long hSourceProcessHandle, [in] long hSourceHandle, [in] long hTargetProcessHandle, [in, out] long *lpTargetHandle, [in] long dwDesiredAccess, [in] long bInheritHandle, [in] long dwOptions);
[entry("EndUpdateResourceA"), helpstring("Terminates a resource update operation started by the BeginUpdateResource function."), helpcontext(2162)] long stdcall EndUpdateResource([in] long hUpdate, [in] long fDiscard);
[entry("EnumCalendarInfoA"), helpstring("Enumerates information about the calendars available under a given locale."), helpcontext(3511)] long stdcall EnumCalendarInfo([in] long lpCalInfoEnumProc, [in] long Locale, [in] long Calendar, [in] long CalType);
[entry("EnumDateFormatsA"), helpstring("Enumerates the short and long date formats that are available for a specified locale."), helpcontext(2438)] long stdcall EnumDateFormats([in] long lpDateFmtEnumProc, [in] long Locale, [in] long dwFlags);
[entry("EnumResourceLanguagesA"), helpstring("Enumerates the languages for a specified resource."), helpcontext(3461)] long stdcall EnumResourceLanguages([in] long hModule, [in, out] LPSTR lpType, [in, out] LPSTR lpName, [in] long lpEnumFunc, [in] long lParam);
[entry("EnumResourceNamesA"), helpstring("Enumerates the resources of a given type in a loaded module."), helpcontext(3462)] long stdcall EnumResourceNames([in] long hModule, [in, out] LPSTR lpType, [in] long lpEnumFunc, [in] long lParam);
[entry("EnumResourceTypesA"), helpstring("Enumerates the types of resources available in a specified executable or DLL."), helpcontext(3463)] long stdcall EnumResourceTypes([in] long hModule, [in] long lpEnumFunc, [in] long lParam);
[entry("EnumSystemCodePagesA"), helpstring("Enumerates the code pages that are installed or supported on the system."), helpcontext(2443)] long stdcall EnumSystemCodePages([in] long lpCodePageEnumProc, [in] long dwFlags);
[entry("EnumSystemLocalesA"), helpstring("Enumerate the locales that are installed or supported on the system."), helpcontext(2442)] long stdcall EnumSystemLocales([in] long lpLocaleEnumProc, [in] long dwFlags);
[entry("EnumTimeFormatsA"), helpstring("Enumerates the time formats that are available for a specified locale."), helpcontext(2437)] long stdcall EnumTimeFormats([in] long lpTimeFmtEnumProc, [in] long Locale, [in] long dwFlags);
[entry("EscapeCommFunction"), helpstring("This function provides additional functionality for a serial port."), helpcontext(4197)] long stdcall EscapeCommFunction([in] long nCid, [in] long nFunc);
[entry("ExitProcess"), helpstring("Terminates a process."), helpcontext(2143)] void stdcall ExitProcess([in] long uExitCode);
[entry("ExpandEnvironmentStringsA"), helpstring("Expands environment strings in much the same way that the command line processor does by converting any occurrence of an environment variable name that is bracketed by percent signs to the contents of that variable."), helpcontext(2060)] long stdcall ExpandEnvironmentStrings([in, out] LPSTR lpSrc, [in, out] LPSTR lpDst, [in] long nSize);
[entry("FileTimeToDosDateTime"), helpstring("Converts a Win32 FILETIME value to DOS date and time values."), helpcontext(2354)] long stdcall FileTimeToDosDateTime([in, out] FILETIME *lpFileTime, [in, out] short *lpFatDate, [in, out] short *lpFatTime);
[entry("FileTimeToLocalFileTime"), helpstring("Converts a FILETIME structure to local time."), helpcontext(2350)] long stdcall FileTimeToLocalFileTime([in, out] FILETIME *lpFileTime, [in, out] FILETIME *lpLocalFileTime);
[entry("FileTimeToSystemTime"), helpstring("Loads a SYSTEMTIME structure based on the contents of a FILETIME structure."), helpcontext(2352)] long stdcall FileTimeToSystemTime([in, out] FILETIME *lpFileTime, [in, out] SYSTEMTIME *lpSystemTime);
[entry("FindAtomA"), helpstring("Retrieves the atom number for a string. Retrieves the atom number for a string. The search is not case-sensitive."), helpcontext(2169)] short stdcall FindAtom([in, out] LPSTR lpString);
[entry("FindClose"), helpstring("Closes a search handle created by the FindFirstFile function."), helpcontext(2102)] long stdcall FindClose([in] long hFindFile);
[entry("FindCloseChangeNotification"), helpstring("Closes a change notification object."), helpcontext(2292)] long stdcall FindCloseChangeNotification([in] long hChangeHandle);
[entry("FindFirstChangeNotificationA"), helpstring("Creates a file notification object."), helpcontext(2290)] long stdcall FindFirstChangeNotification([in, out] LPSTR lpPathName, [in] long bWatchSubtree, [in] char dwNotifyFilter);
[entry("FindFirstFileA"), helpstring("Searches for a file based on a file name."), helpcontext(2201)] long stdcall FindFirstFile([in, out] LPSTR lpFileName, [in, out] WIN32_FIND_DATA *lpFindFileData);
[entry("FindNextChangeNotification"), helpstring("Resets a file change notification object to watch for the next change."), helpcontext(2291)] long stdcall FindNextChangeNotification([in] long hChangeHandle);
[entry("FindNextFileA"), helpstring("Searches for the next file based on a file name specified during a call to the FindFirstFile function."), helpcontext(2202)] long stdcall FindNextFile([in] long hFindFile, [in, out] WIN32_FIND_DATA *lpFindFileData);
[entry("FindResourceA"), helpstring("Finds the specified resource in an executable file and returns a resource handle that can be used by other functions to actually load the resource."), helpcontext(2158)] long stdcall FindResource([in] long hInstance, [in, out] LPSTR lpName, [in, out] LPSTR lpType);
[entry("FindResourceExA"), helpstring("Finds the specified resource in an executable file and returns a resource handle that can be used by other functions to actually load the resource."), helpcontext(2159)] long stdcall FindResourceEx([in] long hModule, [in, out] LPSTR lpType, [in, out] LPSTR lpName, [in] short wLanguage);
[entry("FlushFileBuffers"), helpstring("Flushes the internal file buffers for the specified file handle."), helpcontext(2098)] long stdcall FlushFileBuffers([in] long hFile);
[entry("FlushViewOfFile"), helpstring("Flushes any data that has been written into file mapping buffers onto disk."), helpcontext(2369)] long stdcall FlushViewOfFile([in] long lpBaseAddress, [in] long dwNumberOfBytesToFlush);
[entry("FoldStringA"), helpstring("Performs a variety of string conversions."), helpcontext(2436)] long stdcall FoldString([in] long dwMapFlags, [in, out] LPSTR lpSrcStr, [in] long cchSrc, [in, out] LPSTR lpDestStr, [in] long cchDest);
[entry("FreeEnvironmentStringsA"), helpstring("Frees the specified environment string block."), helpcontext(3464)] long stdcall FreeEnvironmentStrings([in] long lpsz);
[entry("FreeLibrary"), helpstring("Frees the specified dynamic link library that has been loaded using the LoadLibrary API function."), helpcontext(2064)] long stdcall FreeLibrary([in] long hLibModule);
[entry("FreeResource"), helpstring("Use to free resources allocated using the LoadResource function."), helpcontext(3466)] long stdcall FreeResource([in] long hResData);
[entry("GetACP"), helpstring("Determines the ANSI code page that is currently in effect."), helpcontext(2418)] long stdcall GetACP(void);
[entry("GetAtomNameA"), helpstring("Retrieves the string associated with an atom."), helpcontext(2170)] long stdcall GetAtomName([in] short nAtom, [in, out] LPSTR lpBuffer, [in] long nSize);
[entry("GetBinaryTypeA"), helpstring("Determines if a file is executable."), helpcontext(3414)] long stdcall GetBinaryType([in, out] LPSTR lpApplicationName, [in, out] long *lpBinaryType);
[entry("GetCommandLineA"), helpstring("Obtains a pointer to the current command line buffer."), helpcontext(2057)] long stdcall GetCommandLine(void);
[entry("GetCommConfig"), helpstring("Used to obtain information about the configuration of a communications device."), helpcontext(4198)] long stdcall GetCommConfig([in] long hCommDev, [in, out] COMMCONFIG *lpCC, [in, out] long *lpdwSize);
[entry("GetCommMask"), helpstring("Retrieves the current comm event mask."), helpcontext(4199)] long stdcall GetCommMask([in] long hFile, [in, out] long *lpEvtMask);
[entry("GetCommModemStatus"), helpstring("Use to retrieve status information about the modem control signals."), helpcontext(4200)] long stdcall GetCommModemStatus([in] long hFile, [in, out] long *lpModemStat);
[entry("GetCommProperties"), helpstring("Retrieves the possible settings for a communications device."), helpcontext(4201)] long stdcall GetCommProperties([in] long hFile, [in, out] COMMPROP *lpCommProp);
[entry("GetCommState"), helpstring("Retrieves the current configuration of a device."), helpcontext(4202)] long stdcall GetCommState([in] long nCid, [in, out] DCB *lpDCB);
[entry("GetCommTimeouts"), helpstring("Allows you to determine the current timeout settings for a communications device."), helpcontext(4203)] long stdcall GetCommTimeouts([in] long hFile, [in, out] COMMTIMEOUTS *lpCommTimeouts);
[entry("GetCompressedFileSizeA"), helpstring("Determines the number of bytes actually taken up on disk by a compressed file."), helpcontext(3468)] long stdcall GetCompressedFileSize([in, out] LPSTR lpFileName, [in, out] long *lpFileSizeHigh);
[entry("GetComputerNameA"), helpstring("Retrieves the name of this computer."), helpcontext(2412)] long stdcall GetComputerName([in, out] LPSTR lpBuffer, [in, out] long *nSize);
[entry("GetCPInfo"), helpstring("Retrieves information about the specified code page."), helpcontext(2420)] long stdcall GetCPInfo([in] long CodePage, [in, out] CPINFO *lpCPInfo);
[entry("GetCurrencyFormatA"), helpstring("Formats a number according to the currency format for the locale specified."), helpcontext(3512)] long stdcall GetCurrencyFormat([in] long Locale, [in] long dwFlags, [in, out] LPSTR lpValue, [in, out] CURRENCYFMT *lpFormat, [in, out] LPSTR lpCurrencyStr, [in] long cchCurrency);
[entry("GetCurrencyFormatA"), helpstring("Formats a number according to the currency format for the locale specified.")] long stdcall GetCurrencyFormatBynum([in] long Locale, [in] long dwFlags, [in, out] LPSTR lpValue, [in] long lpFormat, [in, out] LPSTR lpCurrencyStr, [in] long cchCurrency);
[entry("GetCurrentDirectoryA"), helpstring("Loads a buffer with the current directory."), helpcontext(2189)] long stdcall GetCurrentDirectory([in] long nBufferLength, [in, out] LPSTR lpBuffer);
[entry("GetCurrentProcess"), helpstring("Obtains a pseudohandle to the current process."), helpcontext(2141)] long stdcall GetCurrentProcess(void);
[entry("GetCurrentProcessId"), helpstring("Obtains the unique process identifier of the current process."), helpcontext(2142)] long stdcall GetCurrentProcessId(void);
[entry("GetCurrentThread"), helpstring("Obtains a pseudohandle to the current thread."), helpcontext(2304)] long stdcall GetCurrentThread(void);
[entry("GetCurrentThreadId"), helpstring("Obtains the unique process identifier of the current thread."), helpcontext(2305)] long stdcall GetCurrentThreadId(void);
[entry("GetDateFormatA"), helpstring("Formats a system date according to the  format for the locale specified."), helpcontext(2429)] long stdcall GetDateFormat([in] long Locale, [in] long dwFlags, [in, out] SYSTEMTIME *lpDate, [in, out] LPSTR lpFormat, [in, out] LPSTR lpDateStr, [in] long cchDate);
[entry("GetDiskFreeSpaceA"), helpstring("Obtains information about the organization of a disk and the amount of free space remaining."), helpcontext(2190)] long stdcall GetDiskFreeSpace([in, out] LPSTR lpRootPathName, [in, out] long *lpSectorsPerCluster, [in, out] long *lpBytesPerSector, [in, out] long *lpNumberOfFreeClusters, [in, out] long *lpTotalNumberOfClusters);
[entry("GetDriveTypeA"), helpstring("Determines the type of a disk drive."), helpcontext(2107)] long stdcall GetDriveType([in, out] LPSTR nDrive);
[entry("GetEnvironmentStringsA"), helpstring("Allocates and returns a handle to a block of memory containing the current environment string settings."), helpcontext(2299)] long stdcall GetEnvironmentStrings(void);
[entry("GetEnvironmentVariableA"), helpstring("Retrieves the value of an environment variable."), helpcontext(2058)] long stdcall GetEnvironmentVariable([in, out] LPSTR lpName, [in, out] LPSTR lpBuffer, [in] long nSize);
[entry("GetExitCodeProcess"), helpstring("Retrieves the exit code of a terminated process."), helpcontext(2145)] long stdcall GetExitCodeProcess([in] long hProcess, [in, out] long *lpExitCode);
[entry("GetExitCodeThread"), helpstring("Retrieves the exit code of a terminated thread."), helpcontext(2311)] long stdcall GetExitCodeThread([in] long hThread, [in, out] long *lpExitCode);
[entry("GetFileAttributesA"), helpstring("Determines the attributes of the specified file."), helpcontext(2199)] long stdcall GetFileAttributes([in, out] LPSTR lpFileName);
[entry("GetFileInformationByHandle"), helpstring("This function provides another mechanism for obtaining information about a file by loading a BY_HANDLE_FILE_INFORMATIONBY_HANDLE_FILE_INFORMATION structure with information about the file."), helpcontext(2091)] long stdcall GetFileInformationByHandle([in] long hFile, [in, out] BY_HANDLE_FILE_INFORMATION *lpFileInformation);
[entry("GetFileSize"), helpstring("Determines the size of a file."), helpcontext(2093)] long stdcall GetFileSize([in] long hFile, [in, out] long *lpFileSizeHigh);
[entry("GetFileTime"), helpstring("Retrieves time information for the specified file."), helpcontext(2103)] long stdcall GetFileTime([in] long hFile, [in, out] FILETIME *lpCreationTime, [in, out] FILETIME *lpLastAccessTime, [in, out] FILETIME *lpLastWriteTime);
[entry("GetFileType"), helpstring("Determines the type of file given a file handle."), helpcontext(2092)] long stdcall GetFileType([in] long hFile);
[entry("GetFullPathNameA"), helpstring("Retrieves the full path name for the specified file."), helpcontext(2194)] long stdcall GetFullPathName([in, out] LPSTR lpFileName, [in] long nBufferLength, [in, out] LPSTR lpBuffer, [in, out] long *lpFilePart);
[entry("GetHandleInformation"), helpstring("Retrieves information about a system object handle."), helpcontext(3470)] long stdcall GetHandleInformation([in] long hObject, [in, out] long *lpdwFlags);
[entry("GetLastError"), helpstring("This function is used to retrieve extended error information for the previously called API functions."), helpcontext(2146)] long stdcall GetLastError(void);
[entry("GetLocaleInfoA"), helpstring("Retrieves information relating to the specified locale."), helpcontext(2427)] long stdcall GetLocaleInfo([in] long Locale, [in] long LCType, [in, out] LPSTR lpLCData, [in] long cchData);
[entry("GetLocalTime"), helpstring("Loads the lpSystemTime structure with the local date and time."), helpcontext(2344)] void stdcall GetLocalTime([in, out] SYSTEMTIME *lpSystemTime);
[entry("GetLogicalDrives"), helpstring("Determines which logical drive letters exist on a system."), helpcontext(2086)] long stdcall GetLogicalDrives(void);
[entry("GetLogicalDriveStringsA"), helpstring("Retrieves a string containing the root drive paths for all current logical drives."), helpcontext(2400)] long stdcall GetLogicalDriveStrings([in] long nBufferLength, [in, out] LPSTR lpBuffer);
[entry("GetMailslotInfo"), helpstring("Obtains information about a mailslot."), helpcontext(2366)] long stdcall GetMailslotInfo([in] long hMailslot, [in, out] long *lpMaxMessageSize, [in, out] long *lpNextSize, [in, out] long *lpMessageCount, [in, out] long *lpReadTimeout);
[entry("GetModuleFileNameA"), helpstring("Retrieves the full path name of a loaded module."), helpcontext(2050)] long stdcall GetModuleFileName([in] long hModule, [in, out] LPSTR lpFileName, [in] long nSize);
[entry("GetModuleHandleA"), helpstring("Retrieves the module handle for an application or dynamic link library."), helpcontext(2051)] long stdcall GetModuleHandle([in, out] LPSTR lpModuleName);
[entry("GetNamedPipeHandleStateA"), helpstring("Use to obtain current state information about a named pipe."), helpcontext(2208)] long stdcall GetNamedPipeHandleState([in] long hNamedPipe, [in, out] long *lpState, [in, out] long *lpCurInstances, [in, out] long *lpMaxCollectionCount, [in, out] long *lpCollectDataTimeout, [in, out] LPSTR lpUserName, [in] long nMaxUserNameSize);
[entry("GetNamedPipeInfo"), helpstring("Use to obtain information about a named pipe."), helpcontext(2362)] long stdcall GetNamedPipeInfo([in] long hNamedPipe, [in, out] long *lpFlags, [in, out] long *lpOutBufferSize, [in, out] long *lpInBufferSize, [in, out] long *lpMaxInstances);
[entry("GetNumberFormatA"), helpstring("Formats a number according to the number format for the locale specified."), helpcontext(3514)] long stdcall GetNumberFormat([in] long Locale, [in] long dwFlags, [in, out] LPSTR lpValue, [in, out] NUMBERFMT *lpFormat, [in, out] LPSTR lpNumberStr, [in] long cchNumber);
[entry("GetOEMCP"), helpstring("Determines the Windows code page used to translate between the OEM and ANSI character sets."), helpcontext(2419)] long stdcall GetOEMCP(void);
[entry("GetOverlappedResult"), helpstring("Determines the current state of an overlapped operation."), helpcontext(2149)] long stdcall GetOverlappedResult([in] long hFile, [in, out] OVERLAPPED *lpOverlapped, [in, out] long *lpNumberOfBytesTransferred, [in] long bWait);
[entry("GetPriorityClass"), helpstring("Retrieves the current priority class of a process."), helpcontext(2297)] long stdcall GetPriorityClass([in] long hProcess);
[entry("GetPrivateProfileIntA"), helpstring("Retrieves an integer value for the specified entry in an initialization file."), helpcontext(2180)] long stdcall GetPrivateProfileInt([in, out] LPSTR lpApplicationName, [in, out] LPSTR lpKeyName, [in] long nDefault, [in, out] LPSTR lpFileName);
[entry("GetPrivateProfileSectionA"), helpstring("Retrieves a list of all key names and values for a specified section."), helpcontext(2183)] long stdcall GetPrivateProfileSection([in, out] LPSTR lpAppName, [in, out] LPSTR lpReturnedString, [in] long nSize, [in, out] LPSTR lpFileName);
[entry("GetPrivateProfileStringA"), helpstring("Retrieves the string for the specified entry in an initialization file."), helpcontext(2181)] long stdcall GetPrivateProfileString([in, out] LPSTR lpApplicationName, [in, out] LPSTR lpKeyName, [in, out] LPSTR lpDefault, [in, out] LPSTR lpReturnedString, [in] long nSize, [in, out] LPSTR lpFileName);
[entry("GetProcessHeap"), helpstring("Retrieves the current default heap for the process."), helpcontext(2138)] long stdcall GetProcessHeap(void);
[entry("GetProcessHeaps"), helpstring("Retrieves a list of all of the heaps currently in use by a process."), helpcontext(3471)] long stdcall GetProcessHeaps([in] long NumberOfHeaps, [in, out] long *ProcessHeaps);
[entry("GetProcessShutdownParameters"), helpstring("Retrieves information regarding when this process would be shut down relative to other processes when the system closes."), helpcontext(2054)] long stdcall GetProcessShutdownParameters([in, out] long *lpdwLevel, [in, out] long *lpdwFlags);
[entry("GetProcessTimes"), helpstring("Obtain information about elapsed time for a process."), helpcontext(2139)] long stdcall GetProcessTimes([in] long hProcess, [in, out] FILETIME *lpCreationTime, [in, out] FILETIME *lpExitTime, [in, out] FILETIME *lpKernelTime, [in, out] FILETIME *lpUserTime);
[entry("GetProcessWorkingSetSize"), helpstring("Retrieves information about the amount of memory committed to an application while it is running."), helpcontext(3472)] long stdcall GetProcessWorkingSetSize([in] long hProcess, [in, out] long *lpMinimumWorkingSetSize, [in, out] long *lpMaximumWorkingSetSize);
[entry("GetProfileIntA"), helpstring("Retrieves an integer value for the specified entry in the WIN.INI initialization file."), helpcontext(2175)] long stdcall GetProfileInt([in, out] LPSTR lpAppName, [in, out] LPSTR lpKeyName, [in] long nDefault);
[entry("GetProfileSectionA"), helpstring("Retrieves a list of all key names and values for a specified section."), helpcontext(2178)] long stdcall GetProfileSection([in, out] LPSTR lpAppName, [in, out] LPSTR lpReturnedString, [in] long nSize);
[entry("GetProfileStringA"), helpstring("Retrieves the string for the specified entry in the WIN.INI initialization file."), helpcontext(2176)] long stdcall GetProfileString([in, out] LPSTR lpAppName, [in, out] LPSTR lpKeyName, [in, out] LPSTR lpDefault, [in, out] LPSTR lpReturnedString, [in] long nSize);
[entry("GetShortPathNameA"), helpstring("Retrieves the short path name for the specified file."), helpcontext(3415)] long stdcall GetShortPathName([in, out] LPSTR lpszLongPath, [in, out] LPSTR lpszShortPath, [in] long cchBuffer);
[entry("GetStartupInfoA"), helpstring("Retrieves the startup information for a process."), helpcontext(2056)] void stdcall GetStartupInfo([in, out] STARTUPINFO *lpStartupInfo);
[entry("GetStringTypeExA"), helpstring("Allows you to obtain information about each character in a string."), helpcontext(3516)] long stdcall GetStringTypeEx([in] long Locale, [in] long dwInfoType, [in, out] LPSTR lpSrcStr, [in] long cchSrc, [in, out] short *lpCharType);
[entry("GetSystemDefaultLangID"), helpstring("Retrieves the default language ID for the system."), helpcontext(2431)] short stdcall GetSystemDefaultLangID(void);
[entry("GetSystemDefaultLCID"), helpstring("Retrieves the current default system locale."), helpcontext(2433)] long stdcall GetSystemDefaultLCID(void);
[entry("GetSystemDirectoryA"), helpstring("This function retrieves the full path name of the Windows system directory."), helpcontext(2186)] long stdcall GetSystemDirectory([in, out] LPSTR lpBuffer, [in] long nSize);
[entry("GetSystemInfo"), helpstring("Loads a SYSTEM_INFO structure with information about the underlying hardware platform."), helpcontext(2346)] void stdcall GetSystemInfo([in, out] SYSTEM_INFO *lpSystemInfo);
[entry("GetSystemPowerStatus"), helpstring("Obtains information about the power status of the current system."), helpcontext(3421)] long stdcall GetSystemPowerStatus([in, out] SYSTEM_POWER_STATUS *lpSystemPowerStatus);
[entry("GetSystemTime"), helpstring("Loads a SYSTEMTIME structure with the current system time."), helpcontext(2342)] void stdcall GetSystemTime([in, out] SYSTEMTIME *lpSystemTime);
[entry("GetSystemTimeAdjustment"), helpstring("Win32 makes it possible for the internal system clock to be synchronized to an external source by adding an adjustment value periodically."), helpcontext(3474)] long stdcall GetSystemTimeAdjustment([in, out] long *lpTimeAdjustment, [in, out] long *lpTimeIncrement, [in, out] long *lpTimeAdjustmentDisabled);
[entry("GetTempFileNameA"), helpstring("This function obtains the name of a temporary file that can be used by an application."), helpcontext(2084)] long stdcall GetTempFileName([in, out] LPSTR lpszPath, [in, out] LPSTR lpPrefixString, [in] long wUnique, [in, out] LPSTR lpTempFileName);
[entry("GetTempPathA"), helpstring("Retrieves the path that is designated for use by temporary files."), helpcontext(2187)] long stdcall GetTempPath([in] long nBufferLength, [in, out] LPSTR lpBuffer);
[entry("GetThreadLocale"), helpstring("Retrieves the Locale ID for the current thread."), helpcontext(2441)] long stdcall GetThreadLocale(void);
[entry("GetThreadPriority"), helpstring("Retrieves the priority setting for the specified thread."), helpcontext(2307)] long stdcall GetThreadPriority([in] long hThread);
[entry("GetThreadTimes"), helpstring("Obtain information about elapsed time for a thread."), helpcontext(2308)] long stdcall GetThreadTimes([in] long hThread, [in, out] FILETIME *lpCreationTime, [in, out] FILETIME *lpExitTime, [in, out] FILETIME *lpKernelTime, [in, out] FILETIME *lpUserTime);
[entry("GetTickCount"), helpstring("Used to retrieve the number of milliseconds that have elapsed since Windows was started."), helpcontext(2356)] long stdcall GetTickCount(void);
[entry("GetTimeFormatA"), helpstring("Formats a system time according to the format for the locale specified."), helpcontext(2428)] long stdcall GetTimeFormat([in] long Locale, [in] long dwFlags, [in, out] SYSTEMTIME *lpTime, [in, out] LPSTR lpFormat, [in, out] LPSTR lpTimeStr, [in] long cchTime);
[entry("GetTimeZoneInformation"), helpstring("Loads a TIME_ZONE_INFORMATION structure with information about the time zone setting for the system."), helpcontext(2347)] long stdcall GetTimeZoneInformation([in, out] TIME_ZONE_INFORMATION *lpTimeZoneInformation);
[entry("GetUserDefaultLangID"), helpstring("Retrieves the default language ID for the current user."), helpcontext(2432)] short stdcall GetUserDefaultLangID(void);
[entry("GetUserDefaultLCID"), helpstring("Retrieves the default locale for the current user."), helpcontext(2434)] long stdcall GetUserDefaultLCID(void);
[entry("GetVersion"), helpstring("Determines the version of Windows and DOS currently running."), helpcontext(2082)] long stdcall GetVersion(void);
[entry("GetVersionExA"), helpstring("Loads an OSVERSIONINFO structure with version information about the platform and operating system."), helpcontext(3420)] long stdcall GetVersionEx([in, out] OSVERSIONINFO *lpVersionInformation);
[entry("GetVolumeInformationA"), helpstring("Retrieves information about a disk volume."), helpcontext(2213)] long stdcall GetVolumeInformation([in, out] LPSTR lpRootPathName, [in, out] LPSTR lpVolumeNameBuffer, [in] long nVolumeNameSize, [in, out] long *lpVolumeSerialNumber, [in, out] long *lpMaximumComponentLength, [in, out] long *lpFileSystemFlags, [in, out] LPSTR lpFileSystemNameBuffer, [in] long nFileSystemNameSize);
[entry("GetWindowsDirectoryA"), helpstring("This function retrieves the full path name of the Windows directory."), helpcontext(2185)] long stdcall GetWindowsDirectory([in, out] LPSTR lpBuffer, [in] long nSize);
[entry("GlobalAddAtomA"), helpstring("Adds an atom to the global atom table."), helpcontext(2171)] short stdcall GlobalAddAtom([in, out] LPSTR lpString);
[entry("GlobalAlloc"), helpstring("Allocates a block of global memory."), helpcontext(2108)] long stdcall GlobalAlloc([in] long wFlags, [in] long dwBytes);
[entry("GlobalDeleteAtom"), helpstring("Deletes the specified global atom."), helpcontext(2172)] short stdcall GlobalDeleteAtom([in] short nAtom);
[entry("GlobalFindAtomA"), helpstring("Retrieves the global atom number for a string."), helpcontext(2173)] short stdcall GlobalFindAtom([in, out] LPSTR lpString);
[entry("GlobalFlags"), helpstring("Retrieves the global memory flags for a memory block."), helpcontext(2115)] long stdcall GlobalFlags([in] long hMem);
[entry("GlobalFree"), helpstring("Frees the specified global memory block."), helpcontext(2109)] long stdcall GlobalFree([in] long hMem);
[entry("GlobalGetAtomNameA"), helpstring("Retrieves the string associated with a global atom."), helpcontext(2174)] long stdcall GlobalGetAtomName([in] short nAtom, [in, out] LPSTR lpBuffer, [in] long nSize);
[entry("GlobalHandle"), helpstring("Determines the memory handle for a memory block given a selector."), helpcontext(2110)] long stdcall GlobalHandle([in, out] void *wMem);
[entry("GlobalLock"), helpstring("Locks the specified memory block in memory and returns an address value that points to the beginning of the memory block."), helpcontext(2111)] long stdcall GlobalLock([in] long hMem);
[entry("GlobalMemoryStatus"), helpstring("Loads a MEMORYSTATUS structure with information about the current state of the systems memory."), helpcontext(2116)] void stdcall GlobalMemoryStatus([in, out] MEMORYSTATUS *lpBuffer);
[entry("GlobalReAlloc"), helpstring("Changes the size of a block of global memory."), helpcontext(2112)] long stdcall GlobalReAlloc([in] long hMem, [in] long dwBytes, [in] long wFlags);
[entry("GlobalSize"), helpstring("Returns the minimum size of the specified global memory block."), helpcontext(2113)] long stdcall GlobalSize([in] long hMem);
[entry("GlobalUnlock"), helpstring("Unlocks the specified memory block that had been previously locked using the GlobalLock function."), helpcontext(2114)] long stdcall GlobalUnlock([in] long hMem);
[entry("HeapAlloc"), helpstring("Allocates a block of memory off the specified heap."), helpcontext(2134)] long stdcall HeapAlloc([in] long hHeap, [in] long dwFlags, [in] long dwBytes);
[entry("HeapCompact"), helpstring("As memory is allocated and freed off the heap, the heap can become fragmented."), helpcontext(3411)] long stdcall HeapCompact([in] long hHeap, [in] long dwFlags);
[entry("HeapCreate"), helpstring("Creates a new private heap in the address space of the current application."), helpcontext(2132)] long stdcall HeapCreate([in] long flOptions, [in] long dwInitialSize, [in] long dwMaximumSize);
[entry("HeapDestroy"), helpstring("Destroys the specified heap."), helpcontext(2133)] long stdcall HeapDestroy([in] long hHeap);
[entry("HeapFree"), helpstring("Frees the specified memory block."), helpcontext(2136)] long stdcall HeapFree([in] long hHeap, [in] long dwFlags, [in] long lpMem);
[entry("HeapLock"), helpstring("Locks a heap for access by a single thread."), helpcontext(3412)] long stdcall HeapLock([in] long hHeap);
[entry("HeapReAlloc"), helpstring("Reallocates a block of memory on the heap to the specified size."), helpcontext(2135)] long stdcall HeapReAlloc([in] long hHeap, [in] long dwFlags, [in] long lpMem, [in] long dwBytes);
[entry("HeapSize"), helpstring("Determines the size of the specified memory block."), helpcontext(2137)] long stdcall HeapSize([in] long hHeap, [in] long dwFlags, [in] long lpMem);
[entry("HeapUnlock"), helpstring("Unlocks a heap that was locked using the HeapLock function."), helpcontext(3413)] long stdcall HeapUnlock([in] long hHeap);
[entry("HeapValidate"), helpstring("Verifies that a heap or individual block in a heap is valid and has not been corrupted."), helpcontext(3410)] long stdcall HeapValidate([in] long hHeap, [in] long dwFlags, [in] long lpMem);
[entry("_hread"), helpstring("See lread."), helpcontext(2380)] long stdcall hread([in] long hFile, [in, out] void *lpBuffer, [in] long lBytes);
[entry("_hwrite"), helpstring("See lwrite"), helpcontext(2381)] long stdcall hwrite([in] long hFile, [in, out] void *lpBuffer, [in] long lBytes);
[entry("InitAtomTable"), helpstring("Changes the size of the local atom table."), helpcontext(2166)] long stdcall InitAtomTable([in] long nSize);
[entry("InterlockedDecrement"), helpstring("Decrements a long variable."), helpcontext(2048)] long stdcall InterlockedDecrement([in, out] long *lpAddend);
[entry("InterlockedExchange"), helpstring("Sets the value of a long variable."), helpcontext(2049)] long stdcall InterlockedExchange([in, out] long *Target, [in] long Value);
[entry("InterlockedIncrement"), helpstring("Increments a long variable."), helpcontext(2047)] long stdcall InterlockedIncrement([in, out] long *lpAddend);
[entry("IsBadCodePtr"), helpstring("Determines if a memory address is readable and executable."), helpcontext(3480)] long stdcall IsBadCodePtr([in] long lpfn);
[entry("IsBadHugeReadPtr"), helpstring("Checks to make sure that the specified block of memory is valid and can be read."), helpcontext(2404)] long stdcall IsBadHugeReadPtr([in, out] void *lp, [in] long ucb);
[entry("IsBadHugeWritePtr"), helpstring("Checks to make sure that the specified block of memory is valid and can be written to."), helpcontext(2405)] long stdcall IsBadHugeWritePtr([in, out] void *lp, [in] long ucb);
[entry("IsBadReadPtr"), helpstring("Checks to make sure that the specified block of memory is valid and can be read."), helpcontext(2401)] long stdcall IsBadReadPtr([in, out] void *lp, [in] long ucb);
[entry("IsBadStringPtrA"), helpstring("Checks to make sure that the specified block of memory is valid and contains a valid null terminated string."), helpcontext(2403)] long stdcall IsBadStringPtr([in, out] LPSTR lpsz, [in] long ucchMax);
[entry("IsBadWritePtr"), helpstring("Checks to make sure that the specified block of memory is valid and can be written to."), helpcontext(2402)] long stdcall IsBadWritePtr([in, out] void *lp, [in] long ucb);
[entry("IsDBCSLeadByte"), helpstring("Determines if the specified character is the first character in a double-byte character in a double-byte character set (DBCS) under the current language."), helpcontext(2421)] long stdcall IsDBCSLeadByte([in] char bTestChar);
[entry("IsDBCSLeadByteEx"), helpstring("Determines if the specified character is the first character in a double-byte character in a double-byte character set (DBCS) under the current language."), helpcontext(2422)] long stdcall IsDBCSLeadByteEx([in] long codepage, [in] char bTestChar);
[entry("IsValidCodePage"), helpstring("Determines if the specified code page is valid."), helpcontext(2417)] long stdcall IsValidCodePage([in] long CodePage);
[entry("IsValidLocale"), helpstring("Determines if a Locale identifier is valid."), helpcontext(2439)] long stdcall IsValidLocale([in] long Locale, [in] long dwFlags);
[entry("_lclose"), helpstring("Closes the specified file. Closes the specified file. Refer to the CloseHandle function for details."), helpcontext(2375)] long stdcall lclose([in] long hFile);
[entry("LCMapStringA"), helpstring("Performs a locale-based string conversion."), helpcontext(2426)] long stdcall LCMapString([in] long Locale, [in] long dwMapFlags, [in, out] LPSTR lpSrcStr, [in] long cchSrc, [in, out] LPSTR lpDestStr, [in] long cchDest);
[entry("_lcreat"), helpstring("Creates a file."), helpcontext(2376)] long stdcall lcreat([in, out] LPSTR lpPathName, [in] long iAttribute);
[entry("_llseek"), helpstring("Sets the current position for reading or writing in a file."), helpcontext(2377)] long stdcall llseek([in] long hFile, [in] long lOffset, [in] long iOrigin);
[entry("LoadLibraryA"), helpstring("Loads the specified dynamic link library and maps it into the address space for the current process."), helpcontext(2061)] long stdcall LoadLibrary([in, out] LPSTR lpLibFileName);
[entry("LoadLibraryExA"), helpstring("Loads the specified dynamic link library and maps it into the address space for the current process."), helpcontext(2062)] long stdcall LoadLibraryEx([in, out] LPSTR lpLibFileName, [in] long hFile, [in] long dwFlags);
[entry("LoadModule"), helpstring("Loads a Windows application and executes it in the environment specified."), helpcontext(2063)] long stdcall LoadModule([in, out] LPSTR lpModuleName, [in, out] void *lpParameterBlock);
[entry("LoadResource"), helpstring("This function returns a global memory handle to a resource in the specified module."), helpcontext(2163)] long stdcall LoadResource([in] long hInstance, [in] long hResInfo);
[entry("LockFile"), helpstring("Under Windows, it is possible for files to be opened in shared modeunder which multiple processes can access the file at once."), helpcontext(2087)] long stdcall LockFile([in] long hFile, [in] long dwFileOffsetLow, [in] long dwFileOffsetHigh, [in] long nNumberOfBytesToLockLow, [in] long nNumberOfBytesToLockHigh);
[entry("LockFileEx"), helpstring("Similar to LockFile, except that it provides additional capability."), helpcontext(2089)] long stdcall LockFileEx([in] long hFile, [in] long dwFlags, [in] long dwReserved, [in] long nNumberOfBytesToLockLow, [in] long nNumberOfBytesToLockHigh, [in, out] OVERLAPPED *lpOverlapped);
[entry("LockResource"), helpstring("Locks the specified resource."), helpcontext(2164)] long stdcall LockResource([in] long hResData);
[entry("_lopen"), helpstring("Opens the specified file in binary mode."), helpcontext(2374)] long stdcall lopen([in, out] LPSTR lpPathName, [in] long iReadWrite);
[entry("_lread"), helpstring("Reads data from a file into a memory buffer."), helpcontext(2378)] long stdcall lread([in] long hFile, [in, out] void *lpBuffer, [in] long wBytes);
[entry("lstrcatA"), helpstring("Appends string lpString2 to string lpString1."), helpcontext(3489)] long stdcall lstrcat([in, out] LPSTR lpString1, [in, out] LPSTR lpString2);
[entry("lstrcmpA"), helpstring("Compares string lpString2 to string lpString1. Compares string lpString2 to string lpString1. lstrcmpi is not case-sensitive."), helpcontext(2371)] long stdcall lstrcmp([in, out] LPSTR lpString1, [in, out] LPSTR lpString2);
[entry("lstrcmpiA"), helpstring("Compares string lpString2 to string lpString1. Compares string lpString2 to string lpString1. lstrcmpi is not case-sensitive."), helpcontext(2372)] long stdcall lstrcmpi([in, out] LPSTR lpString1, [in, out] LPSTR lpString2);
[entry("lstrcpyA"), helpstring("Copies string lpString2 to string lpString1."), helpcontext(3491)] long stdcall lstrcpy([in, out] LPSTR lpString1, [in, out] LPSTR lpString2);
[entry("lstrcpynA"), helpstring("Copies string lpString2 to string lpString1."), helpcontext(3490)] long stdcall lstrcpyn([in, out] LPSTR lpString1, [in, out] LPSTR lpString2, [in] long iMaxLength);
[entry("lstrlenA"), helpstring("Determines the length of lpString."), helpcontext(2373)] long stdcall lstrlen([in, out] LPSTR lpString);
[entry("_lwrite"), helpstring("Writes data to a file from a memory buffer."), helpcontext(2379)] long stdcall lwrite([in] long hFile, [in, out] void *lpBuffer, [in] long wBytes);
[entry("MapViewOfFile"), helpstring("Maps a file mapping object into the address space of the current application."), helpcontext(2368)] long stdcall MapViewOfFile([in] long hFileMappingObject, [in] long dwDesiredAccess, [in] long dwFileOffsetHigh, [in] long dwFileOffsetLow, [in] long dwNumberOfBytesToMap);
[entry("MapViewOfFileEx"), helpstring("Maps a file mapping object into the address space of the current application."), helpcontext(2295)] long stdcall MapViewOfFileEx([in] long hFileMappingObject, [in] long dwDesiredAccess, [in] long dwFileOffsetHigh, [in] long dwFileOffsetLow, [in] long dwNumberOfBytesToMap, [in, out] void *lpBaseAddress);
[entry("MoveFileA"), helpstring("Moves a file. Moves a file. MoveFile is identical to MoveFileEx when dwFlags is zero."), helpcontext(2205)] long stdcall MoveFile([in, out] LPSTR lpExistingFileName, [in, out] LPSTR lpNewFileName);
[entry("MoveFileExA"), helpstring("Moves a file. Moves a file. MoveFile is identical to MoveFileEx when dwFlags is zero."), helpcontext(2206)] long stdcall MoveFileEx([in, out] LPSTR lpExistingFileName, [in, out] LPSTR lpNewFileName, [in] long dwFlags);
[entry("MultiByteToWideChar"), helpstring("Converts an ANSI or DBCS string to Unicode."), helpcontext(2423)] long stdcall MultiByteToWideChar([in] long CodePage, [in] long dwFlags, [in, out] LPSTR lpMultiByteStr, [in] long cchMultiByte, [in] long lpWideCharStr, [in] long cchWideChar);
[entry("OpenEventA"), helpstring("Creates a new handle to an existing named event object."), helpcontext(2395)] long stdcall OpenEvent([in] long dwDesiredAccess, [in] long bInheritHandle, [in, out] LPSTR lpName);
[entry("OpenFile"), helpstring("This function performs a number of different file operations."), helpcontext(2083)] long stdcall OpenFile([in, out] LPSTR lpFileName, [in, out] OFSTRUCT *lpReOpenBuff, [in] long wStyle);
[entry("OpenFileMappingA"), helpstring("Opens an existing named file mapping object."), helpcontext(2399)] long stdcall OpenFileMapping([in] long dwDesiredAccess, [in] long bInheritHandle, [in, out] LPSTR lpName);
[entry("OpenMutexA"), helpstring("Creates a new handle to an existing named mutex object."), helpcontext(2393)] long stdcall OpenMutex([in] long dwDesiredAccess, [in] long bInheritHandle, [in, out] LPSTR lpName);
[entry("OpenProcess"), helpstring("Opens a handle to an existing process."), helpcontext(2140)] long stdcall OpenProcess([in] long dwDesiredAccess, [in] long bInheritHandle, [in] long dwProcessId);
[entry("OpenSemaphoreA"), helpstring("Creates a new handle to an existing named semaphore object."), helpcontext(2397)] long stdcall OpenSemaphore([in] long dwDesiredAccess, [in] long bInheritHandle, [in, out] LPSTR lpName);
[entry("OpenWaitableTimerA"), helpstring("Creates a new handle to an existing waitable timer object.")] long stdcall OpenWaitableTimer([in] long dwDesiredAccess, [in] long bInheritHandle, [in, out] LPSTR lpName);
[entry("PeekNamedPipe"), helpstring("Previews data in a pipe or obtains information about data in a pipe."), helpcontext(2363)] long stdcall PeekNamedPipe([in] long hNamedPipe, [in, out] void *lpBuffer, [in] long nBufferSize, [in, out] long *lpBytesRead, [in, out] long *lpTotalBytesAvail, [in, out] long *lpBytesLeftThisMessage);
[entry("PulseEvent"), helpstring("Sets the specified event to the signaled state."), helpcontext(2075)] long stdcall PulseEvent([in] long hEvent);
[entry("PurgeComm"), helpstring("Clears the communications device as specified."), helpcontext(4204)] long stdcall PurgeComm([in] long hFile, [in] long dwFlags);
[entry("QueryDosDeviceA"), helpstring("Under Windows NT, DOS device names map into NT system device names."), helpcontext(2196)] long stdcall QueryDosDevice([in, out] LPSTR lpDeviceName, [in, out] LPSTR lpTargetPath, [in] long ucchMax);
[entry("ReadFile"), helpstring("Reads data from a file. Reads data from a file. This function is more flexible than the lread function."), helpcontext(2097)] long stdcall ReadFile([in] long hFile, [in, out] void *lpBuffer, [in] long nNumberOfBytesToRead, [in, out] long *lpNumberOfBytesRead, [in, out] OVERLAPPED *lpOverlapped);
[entry("ReadFileEx"), helpstring("Similar to ReadFile, except that it is intended to be used only for asynchronous read operations and includes a completion callback."), helpcontext(3483)] long stdcall ReadFileEx([in] long hFile, [in, out] void *lpBuffer, [in] long nNumberOfBytesToRead, [in, out] OVERLAPPED *lpOverlapped, [in] long lpCompletionRoutine);
[entry("ReadProcessMemory"), helpstring("Reads memory from the address space of another process."), helpcontext(2152)] long stdcall ReadProcessMemory([in] long hProcess, [in] long lpBaseAddress, [in, out] void *lpBuffer, [in] long nSize, [in, out] long *lpNumberOfBytesWritten);
[entry("ReleaseMutex"), helpstring("Releases a mutex that is owned by a thread."), helpcontext(2077)] long stdcall ReleaseMutex([in] long hMutex);
[entry("ReleaseSemaphore"), helpstring("Increments a semaphore count."), helpcontext(2076)] long stdcall ReleaseSemaphore([in] long hSemaphore, [in] long lReleaseCount, [in, out] long *lpPreviousCount);
[entry("RemoveDirectoryA"), helpstring("Removes the specified directory."), helpcontext(2193)] long stdcall RemoveDirectory([in, out] LPSTR lpPathName);
[entry("ResetEvent"), helpstring("Sets the specified event to the nonsignaled state."), helpcontext(2074)] long stdcall ResetEvent([in] long hEvent);
[entry("ResumeThread"), helpstring("Resumes execution of a thread that was suspended using SuspendThread."), helpcontext(2157)] long stdcall ResumeThread([in] long hThread);
[entry("SearchPathA"), helpstring("Searches for the specified file."), helpcontext(2203)] long stdcall SearchPath([in, out] LPSTR lpPath, [in, out] LPSTR lpFileName, [in, out] LPSTR lpExtension, [in] long nBufferLength, [in, out] LPSTR lpBuffer, [in, out] long *lpFilePart);
[entry("SetCommMask"), helpstring("Sets the event mask for a device. Sets the event mask for a device. Only the events specified by this mask are detected."), helpcontext(4206)] long stdcall SetCommMask([in] long hFile, [in] long dwEvtMask);
[entry("SetCommState"), helpstring("Used to configure the settings for a communications device."), helpcontext(4207)] long stdcall SetCommState([in] long hCommDev, [in, out] DCB *lpDCB);
[entry("SetCommTimeouts"), helpstring("Sets the timeouts for the specified communications device."), helpcontext(4208)] long stdcall SetCommTimeouts([in] long hFile, [in, out] COMMTIMEOUTS *lpCommTimeouts);
[entry("SetComputerNameA"), helpstring("Sets the new computer name."), helpcontext(2413)] long stdcall SetComputerName([in, out] LPSTR lpComputerName);
[entry("SetCurrentDirectoryA"), helpstring("Sets the current directory."), helpcontext(2188)] long stdcall SetCurrentDirectory([in, out] LPSTR lpPathName);
[entry("SetEndOfFile"), helpstring("Sets the current file position to be the end of file for an open file."), helpcontext(2100)] long stdcall SetEndOfFile([in] long hFile);
[entry("SetEnvironmentVariableA"), helpstring("Sets an environment variable to the value specified."), helpcontext(2059)] long stdcall SetEnvironmentVariable([in, out] LPSTR lpName, [in, out] LPSTR lpValue);
[entry("SetEvent"), helpstring("Sets an event to the signaled state."), helpcontext(2073)] long stdcall SetEvent([in] long hEvent);
[entry("SetFileAttributesA"), helpstring("Sets the attributes for a file."), helpcontext(2198)] long stdcall SetFileAttributes([in, out] LPSTR lpFileName, [in] long dwFileAttributes);
[entry("SetFilePointer"), helpstring("Sets the current position for reading or writing in a file."), helpcontext(2101)] long stdcall SetFilePointer([in] long hFile, [in] long lDistanceToMove, [in, out] long *lpDistanceToMoveHigh, [in] long dwMoveMethod);
[entry("SetFileTime"), helpstring("Sets the file creation, access and last modification time."), helpcontext(2104)] long stdcall SetFileTime([in] long hFile, [in, out] FILETIME *lpCreationTime, [in, out] FILETIME *lpLastAccessTime, [in, out] FILETIME *lpLastWriteTime);
[entry("SetHandleCount"), helpstring("This function is not necessary under Win32 and has no effect."), helpcontext(2085)] long stdcall SetHandleCount([in] long wNumber);
[entry("SetHandleInformation"), helpstring("Allows you to set certain system object settings."), helpcontext(3487)] long stdcall SetHandleInformation([in] long hObject, [in] long dwMask, [in] long dwFlags);
[entry("SetLocaleInfoA"), helpstring("Changes the user locale setting information."), helpcontext(3518)] long stdcall SetLocaleInfo([in] long Locale, [in] long LCType, [in, out] LPSTR lpLCData);
[entry("SetLocalTime"), helpstring("Sets the current local time."), helpcontext(2345)] long stdcall SetLocalTime([in, out] SYSTEMTIME *lpSystemTime);
[entry("SetMailslotInfo"), helpstring("Allows you to change the default timeout for read operations on a mailslot."), helpcontext(2367)] long stdcall SetMailslotInfo([in] long hMailslot, [in] long lReadTimeout);
[entry("SetNamedPipeHandleState"), helpstring("Sets information about the operation of a named pipe."), helpcontext(2361)] long stdcall SetNamedPipeHandleState([in] long hNamedPipe, [in, out] long *lpMode, [in, out] long *lpMaxCollectionCount, [in, out] long *lpCollectDataTimeout);
[entry("SetPriorityClass"), helpstring("Sets the priority class for a process."), helpcontext(2296)] long stdcall SetPriorityClass([in] long hProcess, [in] long dwPriorityClass);
[entry("SetProcessShutdownParameters"), helpstring("Sets the order in which this process will be closed during system shutdown relative to other applications in the system."), helpcontext(2053)] long stdcall SetProcessShutdownParameters([in] long dwLevel, [in] long dwFlags);
[entry("SetProcessWorkingSetSize"), helpstring("Sets the amount of memory that the operating system will commit to a process."), helpcontext(3488)] long stdcall SetProcessWorkingSetSize([in] long hProcess, [in] long dwMinimumWorkingSetSize, [in] long dwMaximumWorkingSetSize);
[entry("SetSystemTime"), helpstring("Sets the current system time."), helpcontext(2343)] long stdcall SetSystemTime([in, out] SYSTEMTIME *lpSystemTime);
[entry("SetSystemTimeAdjustment"), helpstring("Win32 makes it possible for the internal system clock to be synchronized to an external source by adding an adjustment value periodically."), helpcontext(3492)] long stdcall SetSystemTimeAdjustment([in] long dwTimeAdjustment, [in] long bTimeAdjustmentDisabled);
[entry("SetThreadLocale"), helpstring("Sets the locale for the current thread."), helpcontext(2430)] long stdcall SetThreadLocale([in] long Locale);
[entry("SetThreadPriority"), helpstring("Sets the priority setting for the specified thread."), helpcontext(2306)] long stdcall SetThreadPriority([in] long hThread, [in] long nPriority);
[entry("SetTimeZoneInformation"), helpstring("Sets the system time zone information."), helpcontext(2348)] long stdcall SetTimeZoneInformation([in, out] TIME_ZONE_INFORMATION *lpTimeZoneInformation);
[entry("SetupComm"), helpstring("Allows you to recommend input and output buffer sizes to the communications device driver."), helpcontext(4209)] long stdcall SetupComm([in] long hFile, [in] long dwInQueue, [in] long dwOutQueue);
[entry("SetVolumeLabelA"), helpstring("Sets the volume label of a disk."), helpcontext(2211)] long stdcall SetVolumeLabel([in, out] LPSTR lpRootPathName, [in, out] LPSTR lpVolumeName);
[entry("SetWaitableTimer"), helpstring("Starts a waitable timer. Starts a waitable timer. Sets its state to unsignaled.")] long stdcall SetWaitableTimer([in] long hTimer, [in, out] FILETIME *lpDueTime, [in] long lPeriod, [in] long pfnCompletionRoutine, [in] long lpArgToCompletionRoutine, [in] long fResume);
[entry("SizeofResource"), helpstring("Determines the size of a resource."), helpcontext(2165)] long stdcall SizeofResource([in] long hInstance, [in] long hResInfo);
[entry("Sleep"), helpstring("Suspends operation of a thread for the specified time."), helpcontext(2080)] void stdcall Sleep([in] long dwMilliseconds);
[entry("SleepEx"), helpstring("Suspends operation of a thread for the specified time."), helpcontext(2386)] long stdcall SleepEx([in] long dwMilliseconds, [in] long bAlertable);
[entry("SuspendThread"), helpstring("Suspends execution of the specified thread."), helpcontext(2156)] long stdcall SuspendThread([in] long hThread);
[entry("SystemTimeToFileTime"), helpstring("Loads a SYSTEMTIME structure based on the contents of a FILETIME structure."), helpcontext(2349)] long stdcall SystemTimeToFileTime([in, out] SYSTEMTIME *lpSystemTime, [in, out] FILETIME *lpFileTime);
[entry("SystemTimeToTzSpecificLocalTime"), helpstring("Converts a system time to local time."), helpcontext(3495)] long stdcall SystemTimeToTzSpecificLocalTime([in, out] TIME_ZONE_INFORMATION *lpTimeZoneInformation, [in, out] SYSTEMTIME *lpUniversalTime, [in, out] SYSTEMTIME *lpLocalTime);
[entry("TerminateProcess"), helpstring("Kills a process."), helpcontext(2144)] long stdcall TerminateProcess([in] long hProcess, [in] long uExitCode);
[entry("TransactNamedPipe"), helpstring("This function combines a read and write pipe operation into a single function."), helpcontext(2364)] long stdcall TransactNamedPipe([in] long hNamedPipe, [in, out] void *lpInBuffer, [in] long nInBufferSize, [in, out] void *lpOutBuffer, [in] long nOutBufferSize, [in, out] long *lpBytesRead, [in, out] OVERLAPPED *lpOverlapped);
[entry("TransmitCommChar"), helpstring("Sends a character by placing it at the front of the output buffer."), helpcontext(4210)] long stdcall TransmitCommChar([in] long nCid, [in] char cChar);
[entry("UnlockFile"), helpstring("Unlocks a file."), helpcontext(2088)] long stdcall UnlockFile([in] long hFile, [in] long dwFileOffsetLow, [in] long dwFileOffsetHigh, [in] long nNumberOfBytesToUnlockLow, [in] long nNumberOfBytesToUnlockHigh);
[entry("UnlockFileEx"), helpstring("Unlocks a file."), helpcontext(2090)] long stdcall UnlockFileEx([in] long hFile, [in] long dwReserved, [in] long nNumberOfBytesToUnlockLow, [in] long nNumberOfBytesToUnlockHigh, [in, out] OVERLAPPED *lpOverlapped);
[entry("UnmapViewOfFile"), helpstring("Unmaps a file mapping object from the current applications memory address space."), helpcontext(2370)] long stdcall UnmapViewOfFile([in] long lpBaseAddress);
[entry("UpdateResourceA"), helpstring("Allows you to modify the resources in an executable file or DLL."), helpcontext(2161)] long stdcall UpdateResource([in] long hUpdate, [in, out] LPSTR lpType, [in, out] LPSTR lpName, [in] long wLanguage, [in, out] void *lpData, [in] long cbData);
[entry("VirtualAlloc"), helpstring("Use to allocate memory in the address space of the process, or to reserve a range of memory for possible future allocation."), helpcontext(2126)] long stdcall VirtualAlloc([in] long lpAddress, [in] long dwSize, [in] long flAllocationType, [in] long flProtect);
[entry("VirtualFree"), helpstring("Frees or decommits a range of memory."), helpcontext(2127)] long stdcall VirtualFree([in] long lpAddress, [in] long dwSize, [in] long dwFreeType);
[entry("VirtualLock"), helpstring("Normally, when you allocate memory you are allocating virtual memory."), helpcontext(2293)] long stdcall VirtualLock([in, out] void *lpAddress, [in] long dwSize);
[entry("VirtualProtect"), helpstring("Allows you to change the protection of a range of memory in the process address space."), helpcontext(2128)] long stdcall VirtualProtect([in] long lpAddress, [in] long dwSize, [in] long flNewProtect, [in, out] long *lpflOldProtect);
[entry("VirtualProtectEx"), helpstring("Allows you to change the protection of a range of memory in the process address space."), helpcontext(2130)] long stdcall VirtualProtectEx([in] long hProcess, [in] long lpAddress, [in] long dwSize, [in] long flNewProtect, [in, out] long *lpflOldProtect);
[entry("VirtualQuery"), helpstring("Allows you to obtain information about a range of memory."), helpcontext(2129)] long stdcall VirtualQuery([in] long lpAddress, [in, out] MEMORY_BASIC_INFORMATION *lpBuffer, [in] long dwLength);
[entry("VirtualQueryEx"), helpstring("Allows you to obtain information about a range of memory."), helpcontext(2131)] long stdcall VirtualQueryEx([in] long hProcess, [in] long lpAddress, [in, out] MEMORY_BASIC_INFORMATION *lpBuffer, [in] long dwLength);
[entry("VirtualUnlock"), helpstring("Unlocks a range of memory locked with VirtualLock."), helpcontext(2294)] long stdcall VirtualUnlock([in, out] void *lpAddress, [in] long dwSize);
[entry("WaitCommEvent"), helpstring("Waits for an event to occur on a communications device."), helpcontext(4211)] long stdcall WaitCommEvent([in] long hFile, [in, out] long *lpEvtMask, [in, out] OVERLAPPED *lpOverlapped);
[entry("WaitForMultipleObjects"), helpstring("Waits for either a single object, or an entire lists of objects to become signaled or for the specified timeout to elapse."), helpcontext(2079)] long stdcall WaitForMultipleObjects([in] long nCount, [in, out] long *lpHandles, [in] long bWaitAll, [in] long dwMilliseconds);
[entry("WaitForSingleObject"), helpstring("Waits for the specified object to become signaled or for the specified timeout to elapse."), helpcontext(2078)] long stdcall WaitForSingleObject([in] long hHandle, [in] long dwMilliseconds);
[entry("WaitForSingleObjectEx"), helpstring("Waits for the specified object to become signaled or for the specified timeout to elapse."), helpcontext(2387)] long stdcall WaitForSingleObjectEx([in] long hHandle, [in] long dwMilliseconds, [in] long bAlertable);
[entry("WaitNamedPipeA"), helpstring("Called by a client process to wait until a pipe is available (for example, the server has called the ConnectNamedPipe function to connect to a client)."), helpcontext(2210)] long stdcall WaitNamedPipe([in, out] LPSTR lpNamedPipeName, [in] long nTimeOut);
[entry("WideCharToMultiByte"), helpstring("Converts the specified Unicode string to ANSI or DBCS based on the specified code page."), helpcontext(2424)] long stdcall WideCharToMultiByte([in] long CodePage, [in] long dwFlags, [in] long lpWideCharStr, [in] long cchWideChar, [in, out] LPSTR lpMultiByteStr, [in] long cchMultiByte, [in, out] LPSTR lpDefaultChar, [in] long lpUsedDefaultChar);
[entry("WinExec"), helpstring("Runs the specified program."), helpcontext(2065)] long stdcall WinExec([in, out] LPSTR lpCmdLine, [in] long nCmdShow);
[entry("WriteFile"), helpstring("Writes data to a file. Writes data to a file. This function is more flexible than the lwrite function."), helpcontext(2096)] long stdcall WriteFile([in] long hFile, [in, out] void *lpBuffer, [in] long nNumberOfBytesToWrite, [in, out] long *lpNumberOfBytesWritten, [in, out] OVERLAPPED *lpOverlapped);
[entry("WriteFileEx"), helpstring("Similar to WriteFile, except that it is intended to be used only for asynchronous write operations and includes a completion callback."), helpcontext(3496)] long stdcall WriteFileEx([in] long hFile, [in, out] void *lpBuffer, [in] long nNumberOfBytesToWrite, [in, out] OVERLAPPED *lpOverlapped, [in] long lpCompletionRoutine);
[entry("WritePrivateProfileSectionA"), helpstring("Sets all of the key names and values for a specified section in a private initialization file."), helpcontext(2184)] long stdcall WritePrivateProfileSection([in, out] LPSTR lpAppName, [in, out] LPSTR lpString, [in, out] LPSTR lpFileName);
[entry("WritePrivateProfileStringA"), helpstring("Sets a string in the specified section of a private  initialization file."), helpcontext(2182)] long stdcall WritePrivateProfileString([in, out] LPSTR lpApplicationName, [in, out] LPSTR lpKeyName, [in, out] void *lpString, [in, out] LPSTR lpFileName);
[entry("WriteProcessMemory"), helpstring("Writes memory in the address space of another process."), helpcontext(2153)] long stdcall WriteProcessMemory([in] long hProcess, [in] long lpBaseAddress, [in, out] void *lpBuffer, [in] long nSize, [in, out] long *lpNumberOfBytesWritten);
[entry("WriteProfileSectionA"), helpstring("Sets all of the key names and values for a specified section in the win.ini initialization file."), helpcontext(2179)] long stdcall WriteProfileSection([in, out] LPSTR lpAppName, [in, out] LPSTR lpString);
[entry("WriteProfileStringA"), helpstring("Sets a string in the specified section of the WIN.INI initialization file."), helpcontext(2177)] long stdcall WriteProfileString([in, out] LPSTR lpszSection, [in, out] LPSTR lpszKeyName, [in, out] LPSTR lpszString);
